// DO NOT EDIT
// Generated by JFlex 1.9.1 http://jflex.de/
// source: jflex/S074_Numbers.jflex

/*******************************************************************************
 * Copyright (c) 2022-2029 Institute of Legal Information and Judicial Systems (IGSG-CNR)
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 *  
 * Authors: Lorenzo Bacci (IGSG-CNR)
 ******************************************************************************/
package it.cnr.igsg.linkoln;

import java.util.ArrayList;
import java.util.Collection;


@SuppressWarnings("fallthrough")
class S074_Numbers extends LinkolnAnnotationService {

  /** This character denotes the end of file. */
  public static final int YYEOF = -1;

  /** Initial size of the lookahead buffer. */
  private static final int ZZ_BUFFERSIZE = 16384;

  // Lexical states.
  public static final int YYINITIAL = 0;
  public static final int lkn = 2;
  public static final int multipleNumbersWithPrefix = 4;
  public static final int multipleNumbers = 6;
  public static final int multipleNumbersLat = 8;

  /**
   * ZZ_LEXSTATE[l] is the state in the DFA for the lexical state l
   * ZZ_LEXSTATE[l+1] is the state in the DFA for the lexical state l
   *                  at the beginning of a line
   * l is of the form l = 2*k, k a non negative integer
   */
  private static final int ZZ_LEXSTATE[] = {
     0,  0,  1,  1,  2,  2,  3,  3,  4, 4
  };

  /**
   * Top-level table for translating characters to character classes
   */
  private static final int [] ZZ_CMAP_TOP = zzUnpackcmap_top();

  private static final String ZZ_CMAP_TOP_PACKED_0 =
    "\1\0\1\u0100\34\u0200\1\u0300\1\u0200\1\u0400\1\u0500\u10de\u0200";

  private static int [] zzUnpackcmap_top() {
    int [] result = new int[4352];
    int offset = 0;
    offset = zzUnpackcmap_top(ZZ_CMAP_TOP_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackcmap_top(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /**
   * Second-level tables for translating characters to character classes
   */
  private static final int [] ZZ_CMAP_BLOCKS = zzUnpackcmap_blocks();

  private static final String ZZ_CMAP_BLOCKS_PACKED_0 =
    "\11\0\1\1\1\2\1\0\1\1\1\3\22\0\1\4"+
    "\1\0\1\5\1\6\2\0\1\7\1\0\1\10\1\11"+
    "\2\0\1\12\1\13\1\14\1\15\12\16\1\17\1\20"+
    "\5\0\1\21\1\22\1\23\1\24\1\25\1\26\2\27"+
    "\1\30\1\27\1\31\1\32\1\33\1\34\1\35\1\36"+
    "\1\37\1\40\1\41\1\42\1\43\1\44\1\45\1\46"+
    "\2\27\1\47\1\0\1\50\1\0\1\51\1\0\1\52"+
    "\1\53\1\54\1\55\1\56\1\57\2\60\1\61\1\60"+
    "\1\62\1\63\1\64\1\65\1\66\1\67\1\70\1\71"+
    "\1\72\1\73\1\74\1\75\1\76\1\77\2\60\65\0"+
    "\1\100\17\0\6\60\1\0\11\60\1\0\6\60\2\0"+
    "\4\60\3\0\6\60\1\0\11\60\1\0\6\60\2\0"+
    "\4\60\53\0\2\60\6\0\2\101\66\0\2\60\4\0"+
    "\2\60\17\0\1\102\u0188\0\2\60\216\0\2\60\42\0"+
    "\2\60\104\0\1\1\20\0\2\13\u0115\0\1\103\325\0";

  private static int [] zzUnpackcmap_blocks() {
    int [] result = new int[1536];
    int offset = 0;
    offset = zzUnpackcmap_blocks(ZZ_CMAP_BLOCKS_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackcmap_blocks(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }

  /**
   * Translates DFA states to action switch labels.
   */
  private static final int [] ZZ_ACTION = zzUnpackAction();

  private static final String ZZ_ACTION_PACKED_0 =
    "\7\0\7\1\2\2\1\3\1\4\2\3\1\5\1\3"+
    "\1\6\1\3\32\0\4\7\1\10\2\7\1\0\1\7"+
    "\11\0\5\10\1\0\1\10\51\0\7\11\2\0\6\12"+
    "\33\0\4\11\36\0\1\13\5\0\1\6\7\0\1\6"+
    "\35\0\6\14\23\0\1\6\14\0\5\7\1\0\1\7"+
    "\5\0\3\7\41\0\3\7\1\0\3\7\24\0\1\6"+
    "\1\0\1\6\47\0\5\7\5\0\1\15\175\0\1\16"+
    "\67\0\1\16\1\0\1\16\57\0\4\11\44\0\1\14"+
    "\102\0\10\7\5\0\3\7\22\0\1\7\30\0\5\7"+
    "\140\0\1\17\17\0\5\11\162\0\1\11\14\0";

  private static int [] zzUnpackAction() {
    int [] result = new int[1048];
    int offset = 0;
    offset = zzUnpackAction(ZZ_ACTION_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackAction(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /**
   * Translates a state to a row index in the transition table
   */
  private static final int [] ZZ_ROWMAP = zzUnpackRowMap();

  private static final String ZZ_ROWMAP_PACKED_0 =
    "\0\0\0\104\0\210\0\314\0\u0110\0\u0154\0\u0198\0\u01dc"+
    "\0\u0220\0\u0264\0\u02a8\0\u02ec\0\u0330\0\u0374\0\u02ec\0\u03b8"+
    "\0\u02ec\0\u03fc\0\u0440\0\u0484\0\u04c8\0\u050c\0\u0550\0\u0594"+
    "\0\u05d8\0\u061c\0\u0660\0\u06a4\0\u06e8\0\u072c\0\u01dc\0\u0770"+
    "\0\u07b4\0\u07f8\0\u083c\0\u0880\0\u08c4\0\u0908\0\u094c\0\u0990"+
    "\0\u09d4\0\u0a18\0\u0a5c\0\u0aa0\0\u0ae4\0\u0b28\0\u0b6c\0\u0bb0"+
    "\0\u05d8\0\u0bf4\0\u02ec\0\u0c38\0\u0c7c\0\u0cc0\0\u02ec\0\u0d04"+
    "\0\u0d48\0\u0d8c\0\u0dd0\0\u0e14\0\u0e58\0\u0e9c\0\u0ee0\0\u0f24"+
    "\0\u0f68\0\u0fac\0\u0ff0\0\u1034\0\u0c38\0\u1078\0\u0cc0\0\u0d04"+
    "\0\u0d48\0\u10bc\0\u0dd0\0\u1100\0\u1144\0\u1188\0\u11cc\0\u1210"+
    "\0\u1254\0\u1298\0\u12dc\0\u1320\0\u1364\0\u13a8\0\u13ec\0\u1430"+
    "\0\u1474\0\u14b8\0\u14fc\0\u1540\0\u1584\0\u15c8\0\u160c\0\u1650"+
    "\0\u1694\0\u16d8\0\u0c38\0\u0cc0\0\u0d04\0\u0d48\0\u171c\0\u1760"+
    "\0\u17a4\0\u17e8\0\u182c\0\u1870\0\u18b4\0\u18f8\0\u193c\0\u1980"+
    "\0\u0dd0\0\u19c4\0\u1a08\0\u1a4c\0\u02ec\0\u0c38\0\u1a90\0\u0cc0"+
    "\0\u0d04\0\u0d48\0\u0dd0\0\u1ad4\0\u1b18\0\u02ec\0\u1b5c\0\u1ba0"+
    "\0\u1be4\0\u1c28\0\u1c6c\0\u1cb0\0\u1cf4\0\u1d38\0\u1d7c\0\u1dc0"+
    "\0\u1e04\0\u1e48\0\u1e8c\0\u1ed0\0\u1f14\0\u1f58\0\u1f9c\0\u1fe0"+
    "\0\u2024\0\u2068\0\u20ac\0\u20f0\0\u2134\0\u2178\0\u21bc\0\u2200"+
    "\0\u2244\0\u2288\0\u22cc\0\u2310\0\u2354\0\u2398\0\u23dc\0\u2420"+
    "\0\u2464\0\u24a8\0\u24ec\0\u2530\0\u2574\0\u25b8\0\u25fc\0\u2640"+
    "\0\u2684\0\u26c8\0\u270c\0\u2750\0\u2794\0\u27d8\0\u281c\0\u2860"+
    "\0\u28a4\0\u1b5c\0\u1be4\0\u1c28\0\u28e8\0\u1c6c\0\u292c\0\u2970"+
    "\0\u29b4\0\u29f8\0\u2a3c\0\u2a80\0\u2ac4\0\u2b08\0\u2b4c\0\u2b90"+
    "\0\u02ec\0\u2bd4\0\u2c18\0\u2c5c\0\u2ca0\0\u2ce4\0\u2d28\0\u2d6c"+
    "\0\u2db0\0\u2df4\0\u2e38\0\u2e7c\0\u2ec0\0\u2f04\0\u2f48\0\u2f8c"+
    "\0\u2fd0\0\u3014\0\u3058\0\u309c\0\u30e0\0\u3124\0\u23dc\0\u2464"+
    "\0\u24a8\0\u3168\0\u31ac\0\u31f0\0\u3234\0\u3278\0\u32bc\0\u3300"+
    "\0\u3344\0\u3388\0\u33cc\0\u3410\0\u3454\0\u3498\0\u34dc\0\u3520"+
    "\0\u3564\0\u35a8\0\u35ec\0\u3630\0\u02ec\0\u1b5c\0\u3674\0\u1be4"+
    "\0\u1c28\0\u1c6c\0\u36b8\0\u36fc\0\u3740\0\u3784\0\u37c8\0\u380c"+
    "\0\u3850\0\u3894\0\u38d8\0\u391c\0\u3960\0\u39a4\0\u39e8\0\u3a2c"+
    "\0\u3a70\0\u3ab4\0\u3af8\0\u2d28\0\u3b3c\0\u02ec\0\u3b80\0\u3bc4"+
    "\0\u3c08\0\u3c4c\0\u3c90\0\u3cd4\0\u3d18\0\u3d5c\0\u3da0\0\u3de4"+
    "\0\u3e28\0\u3e6c\0\u3eb0\0\u3ef4\0\u3f38\0\u3f7c\0\u3fc0\0\u4004"+
    "\0\u4048\0\u408c\0\u40d0\0\u4114\0\u4158\0\u419c\0\u41e0\0\u3454"+
    "\0\u3498\0\u4224\0\u4268\0\u42ac\0\u42f0\0\u4334\0\u4378\0\u43bc"+
    "\0\u4400\0\u4444\0\u4488\0\u44cc\0\u4510\0\u4554\0\u4598\0\u45dc"+
    "\0\u4620\0\u4664\0\u46a8\0\u46ec\0\u4730\0\u4774\0\u47b8\0\u47fc"+
    "\0\u4840\0\u4884\0\u48c8\0\u490c\0\u3eb0\0\u3f38\0\u3f7c\0\u3fc0"+
    "\0\u4048\0\u4950\0\u4994\0\u49d8\0\u4a1c\0\u4a60\0\u4aa4\0\u4ae8"+
    "\0\u4b2c\0\u4b70\0\u4bb4\0\u4bf8\0\u4c3c\0\u4c80\0\u4cc4\0\u4d08"+
    "\0\u4d4c\0\u4d90\0\u4dd4\0\u4e18\0\u4e5c\0\u4ea0\0\u4ee4\0\u4f28"+
    "\0\u4f6c\0\u4fb0\0\u4ff4\0\u5038\0\u507c\0\u50c0\0\u5104\0\u5148"+
    "\0\u518c\0\u51d0\0\u5214\0\u5258\0\u4994\0\u4a1c\0\u529c\0\u52e0"+
    "\0\u4aa4\0\u4b2c\0\u5324\0\u5368\0\u53ac\0\u53f0\0\u5434\0\u5478"+
    "\0\u54bc\0\u5500\0\u5544\0\u5588\0\u55cc\0\u5610\0\u5654\0\u5698"+
    "\0\u56dc\0\u5720\0\u5764\0\u57a8\0\u57ec\0\u5830\0\u5874\0\u58b8"+
    "\0\u58fc\0\u5940\0\u5984\0\u59c8\0\u5a0c\0\u5a50\0\u5a94\0\u5ad8"+
    "\0\u1760\0\u5b1c\0\u5b60\0\u5ba4\0\u5be8\0\u5c2c\0\u5c70\0\u5cb4"+
    "\0\u5cf8\0\u02ec\0\u5d3c\0\u5d80\0\u5dc4\0\u5e08\0\u5e4c\0\u5e90"+
    "\0\u5ed4\0\u5f18\0\u5f5c\0\u5fa0\0\u5fe4\0\u6028\0\u606c\0\u60b0"+
    "\0\u60f4\0\u6138\0\u5b1c\0\u5b60\0\u5ba4\0\u617c\0\u61c0\0\u6204"+
    "\0\u6248\0\u628c\0\u62d0\0\u6314\0\u6358\0\u639c\0\u63e0\0\u6424"+
    "\0\u6468\0\u64ac\0\u64f0\0\u6534\0\u6578\0\u65bc\0\u6600\0\u6644"+
    "\0\u6688\0\u66cc\0\u6710\0\u6754\0\u6798\0\u67dc\0\u6820\0\u6864"+
    "\0\u68a8\0\u68ec\0\u6930\0\u6974\0\u69b8\0\u69fc\0\u6a40\0\u6a84"+
    "\0\u6ac8\0\u6b0c\0\u6b50\0\u6b94\0\u6bd8\0\u6c1c\0\u6c60\0\u6ca4"+
    "\0\u6ce8\0\u6d2c\0\u6d70\0\u6db4\0\u6df8\0\u6e3c\0\u6e80\0\u6ec4"+
    "\0\u6f08\0\u6f4c\0\u6f90\0\u6fd4\0\u7018\0\u705c\0\u70a0\0\u70e4"+
    "\0\u7128\0\u716c\0\u71b0\0\u71f4\0\u7238\0\u727c\0\u72c0\0\u7304"+
    "\0\u7348\0\u738c\0\u73d0\0\u7414\0\u7458\0\u749c\0\u74e0\0\u7524"+
    "\0\u7568\0\u75ac\0\u75f0\0\u7634\0\u7678\0\u76bc\0\u7700\0\u7744"+
    "\0\u7788\0\u77cc\0\u7810\0\u7854\0\u7898\0\u78dc\0\u7920\0\u7964"+
    "\0\u79a8\0\u79ec\0\u7a30\0\u7a74\0\u7ab8\0\u7afc\0\u7b40\0\u7b84"+
    "\0\u7bc8\0\u7c0c\0\u7c50\0\u7c94\0\u7cd8\0\u7d1c\0\u7d60\0\u02ec"+
    "\0\u7da4\0\u7de8\0\u7e2c\0\u7e70\0\u7eb4\0\u7ef8\0\u7f3c\0\u7f80"+
    "\0\u7fc4\0\u8008\0\u804c\0\u8090\0\u80d4\0\u8118\0\u815c\0\u81a0"+
    "\0\u81e4\0\u8228\0\u826c\0\u82b0\0\u82f4\0\u8338\0\u837c\0\u83c0"+
    "\0\u8404\0\u8448\0\u848c\0\u84d0\0\u8514\0\u8558\0\u859c\0\u85e0"+
    "\0\u8624\0\u8668\0\u86ac\0\u86f0\0\u8734\0\u8778\0\u87bc\0\u8800"+
    "\0\u8844\0\u8888\0\u88cc\0\u8910\0\u8954\0\u8998\0\u89dc\0\u8a20"+
    "\0\u8a64\0\u8aa8\0\u8aec\0\u8b30\0\u8b74\0\u8bb8\0\u8bfc\0\u8c40"+
    "\0\u8c40\0\u8c84\0\u8c84\0\u8cc8\0\u8d0c\0\u8d50\0\u8d94\0\u8dd8"+
    "\0\u8e1c\0\u8e60\0\u8ea4\0\u8ee8\0\u8f2c\0\u8f70\0\u8fb4\0\u8ff8"+
    "\0\u903c\0\u9080\0\u90c4\0\u9108\0\u914c\0\u9190\0\u91d4\0\u9218"+
    "\0\u925c\0\u92a0\0\u92e4\0\u9328\0\u936c\0\u93b0\0\u93f4\0\u9438"+
    "\0\u947c\0\u94c0\0\u9504\0\u9548\0\u958c\0\u95d0\0\u9614\0\u9658"+
    "\0\u969c\0\u96e0\0\u9724\0\u9768\0\u97ac\0\u97f0\0\u9834\0\u9878"+
    "\0\u98bc\0\u9900\0\u9944\0\u9988\0\u99cc\0\u9a10\0\u9a54\0\u9a98"+
    "\0\u9adc\0\u9b20\0\u9b64\0\u9ba8\0\u9bec\0\u9c30\0\u9c74\0\u9cb8"+
    "\0\u9cfc\0\u9d40\0\u9d84\0\u9dc8\0\u9e0c\0\u9e50\0\u9e94\0\u9900"+
    "\0\u9988\0\u99cc\0\u9ed8\0\u9f1c\0\u9f60\0\u9fa4\0\u9fe8\0\ua02c"+
    "\0\ua070\0\ua0b4\0\ua0f8\0\ua13c\0\ua180\0\ua1c4\0\ua208\0\ua24c"+
    "\0\ua290\0\ua2d4\0\ua318\0\ua35c\0\ua3a0\0\ua3e4\0\ua428\0\ua46c"+
    "\0\ua4b0\0\ua4f4\0\ua538\0\ua57c\0\ua5c0\0\ua604\0\ua648\0\ua68c"+
    "\0\ua6d0\0\ua714\0\ua758\0\ua79c\0\ua7e0\0\ua824\0\ua868\0\ua8ac"+
    "\0\ua8f0\0\ua934\0\ua978\0\ua9bc\0\uaa00\0\uaa44\0\uaa88\0\uaacc"+
    "\0\uab10\0\uab54\0\uab98\0\uabdc\0\uac20\0\uac64\0\uaca8\0\uacec"+
    "\0\uad30\0\uad74\0\uadb8\0\uadfc\0\uae40\0\uae84\0\uaec8\0\uaf0c"+
    "\0\uaf50\0\uaf94\0\uafd8\0\ub01c\0\ub060\0\ub0a4\0\ub0e8\0\ub12c"+
    "\0\ub170\0\ub1b4\0\ub1f8\0\ub23c\0\ub280\0\ub2c4\0\ub308\0\ub34c"+
    "\0\ub390\0\ub3d4\0\ub418\0\ub45c\0\u9900\0\ub4a0\0\u9988\0\u99cc"+
    "\0\ub4e4\0\ub528\0\ub56c\0\ub5b0\0\ub5f4\0\ub638\0\ub67c\0\ub6c0"+
    "\0\ub704\0\ub748\0\ub01c\0\ub060\0\ub78c\0\ub7d0\0\ub814\0\ub858"+
    "\0\ub89c\0\ub8e0\0\ub924\0\ub968\0\ub9ac\0\ub9f0\0\uba34\0\uba78"+
    "\0\ubabc\0\ubb00\0\ub4e4\0\ub56c\0\ub5b0\0\ubb44\0\ubb88\0\ubbcc"+
    "\0\ubc10\0\ubc54\0\ubc98\0\ubcdc\0\ubd20\0\ubd64\0\ubda8\0\ubdec"+
    "\0\ube30\0\ube74\0\ubeb8\0\ubefc\0\ubf40\0\ubf84\0\ubfc8\0\uc00c"+
    "\0\uc050\0\uc094\0\uc0d8\0\uc11c\0\uc160\0\uc1a4\0\uc1e8\0\uc22c"+
    "\0\u9ed8\0\uc270\0\uc2b4\0\uc2f8\0\uc33c\0\uc380\0\uc3c4\0\uc408"+
    "\0\uc44c\0\uc490\0\uc4d4\0\uc270\0\uc2b4\0\uc2f8\0\uc518\0\uc55c"+
    "\0\uc5a0\0\uc5e4\0\uc628\0\uc66c\0\uc6b0\0\uc6f4\0\uc738\0\uc77c"+
    "\0\uc7c0\0\uc804\0\uc848\0\uc88c\0\uc8d0\0\uc914\0\uc958\0\uc99c"+
    "\0\uc9e0\0\uca24\0\uca68\0\ucaac\0\ucaf0\0\ucb34\0\ucb78\0\ucbbc"+
    "\0\ucc00\0\ucc44\0\ucc88\0\ucccc\0\ucd10\0\ucd54\0\ucd98\0\ucddc"+
    "\0\uce20\0\uce64\0\ucea8\0\uceec\0\ucf30\0\ucf74\0\ucfb8\0\ucffc"+
    "\0\ud040\0\ud084\0\ud0c8\0\ud10c\0\ud150\0\ud194\0\ud1d8\0\ud21c"+
    "\0\ud260\0\ud2a4\0\ud2e8\0\ud32c\0\ud370\0\ud3b4\0\ud3f8\0\ud43c"+
    "\0\ud480\0\ud4c4\0\ud508\0\ud54c\0\ud590\0\ud5d4\0\ud618\0\ud65c"+
    "\0\ud6a0\0\ud6e4\0\ud728\0\ud76c\0\ud7b0\0\ud7f4\0\ud838\0\ud87c"+
    "\0\ud8c0\0\ud904\0\ud948\0\ud98c\0\ud9d0\0\uda14\0\uda58\0\uda9c"+
    "\0\udae0\0\udb24\0\udb68\0\udbac\0\u02ec\0\udbf0\0\udc34\0\udc78"+
    "\0\udcbc\0\udd00\0\udd44\0\udd88\0\uddcc\0\ude10\0\ude54\0\ude98"+
    "\0\udedc\0\udf20\0\udf64\0\udfa8\0\udfec\0\ue030\0\ue074\0\ue0b8"+
    "\0\ue0fc\0\ue140\0\ue184\0\ue1c8\0\ue20c\0\ue250\0\ue294\0\ue2d8"+
    "\0\ue31c\0\ue360\0\udfec\0\ue074\0\ue0b8\0\ue0fc\0\ue3a4\0\ue3e8"+
    "\0\ue42c\0\ue470\0\ue4b4\0\ue4f8\0\ue53c\0\ue580\0\ue5c4\0\ue608"+
    "\0\ue64c\0\ue690\0\ue6d4\0\ue718\0\ue75c\0\ue7a0\0\ue7e4\0\ue828"+
    "\0\ue86c\0\ue8b0\0\ue8f4\0\ue938\0\ue97c\0\ue9c0\0\uea04\0\uea48"+
    "\0\uea8c\0\uead0\0\ueb14\0\ueb58\0\ueb9c\0\uebe0\0\uec24\0\uec68"+
    "\0\uecac\0\uecf0\0\ued34\0\ued78\0\uedbc\0\uee00\0\uee44\0\uee88"+
    "\0\ueecc\0\uef10\0\uef54\0\uef98\0\uefdc\0\uf020\0\uf064\0\uf0a8"+
    "\0\uf0ec\0\uf130\0\uf174\0\uf1b8\0\uf1fc\0\uf240\0\uf284\0\uf2c8"+
    "\0\uf30c\0\uf350\0\uf394\0\uf3d8\0\uf41c\0\uf460\0\uf4a4\0\uf4e8"+
    "\0\uf52c\0\uf570\0\uf5b4\0\uf5f8\0\uf63c\0\uf680\0\uf6c4\0\uf708"+
    "\0\uf74c\0\uf790\0\uf7d4\0\uf818\0\uf85c\0\uf8a0\0\uf8e4\0\uf928"+
    "\0\uf96c\0\uf9b0\0\uf9f4\0\ufa38\0\ufa7c\0\ufac0\0\ufb04\0\ufb48"+
    "\0\ufb8c\0\ufbd0\0\ufc14\0\ufc58\0\ufc9c\0\ufce0\0\ufd24\0\ufd68"+
    "\0\ufdac\0\ufdf0\0\ufe34\0\ufe78\0\ufebc\0\uff00\0\uff44\0\uff88"+
    "\0\uffcc\1\20\1\124\1\230\1\334\1\u0120\1\u0164\1\u01a8";

  private static int [] zzUnpackRowMap() {
    int [] result = new int[1048];
    int offset = 0;
    offset = zzUnpackRowMap(ZZ_ROWMAP_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackRowMap(String packed, int offset, int [] result) {
    int i = 0;  /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length() - 1;
    while (i < l) {
      int high = packed.charAt(i++) << 16;
      result[j++] = high | packed.charAt(i++);
    }
    return j;
  }

  /**
   * The transition table of the DFA
   */
  private static final int [] ZZ_TRANS = zzUnpacktrans();

  private static final String ZZ_TRANS_PACKED_0 =
    "\3\10\1\11\3\10\1\12\1\13\5\10\1\14\2\10"+
    "\26\15\1\16\2\10\26\15\4\10\47\17\1\20\34\17"+
    "\16\21\1\22\15\21\1\23\12\21\1\24\15\21\1\23"+
    "\34\21\1\25\30\21\1\26\52\21\1\27\30\21\1\30"+
    "\34\21\3\31\1\32\12\31\1\0\65\31\50\0\1\33"+
    "\51\0\1\34\15\0\1\35\12\0\1\36\15\0\1\35"+
    "\20\0\1\37\13\0\1\34\15\0\1\35\12\0\1\36"+
    "\15\0\1\35\24\0\1\40\7\0\1\34\15\0\1\35"+
    "\12\0\1\36\15\0\1\35\34\0\1\41\15\0\1\35"+
    "\12\0\1\36\15\0\1\35\140\0\1\42\103\0\1\34"+
    "\13\0\1\43\1\0\1\35\12\0\1\36\13\0\1\43"+
    "\1\0\1\35\33\0\1\44\104\0\1\22\66\0\4\45"+
    "\2\0\1\46\4\0\1\47\1\0\1\22\15\0\2\50"+
    "\2\0\1\50\2\0\1\51\3\0\1\52\15\0\2\50"+
    "\2\0\1\50\2\0\1\51\3\0\1\45\35\0\1\53"+
    "\30\0\1\53\36\0\1\25\117\0\1\54\30\0\1\54"+
    "\21\0\4\55\2\0\1\56\3\0\1\57\2\0\1\27"+
    "\32\0\1\57\64\0\1\60\30\0\1\60\36\0\1\61"+
    "\67\0\1\31\13\0\1\61\121\0\1\62\30\0\1\62"+
    "\16\0\1\63\2\64\1\65\1\64\2\63\1\66\1\63"+
    "\1\67\1\70\1\71\2\63\1\72\30\63\1\73\1\63"+
    "\1\71\32\63\1\0\4\74\2\0\1\75\4\0\1\76"+
    "\1\0\1\77\15\0\2\100\2\0\1\100\2\0\1\101"+
    "\3\0\1\102\15\0\2\100\2\0\1\100\2\0\1\101"+
    "\3\0\1\74\35\0\1\103\30\0\1\103\36\0\1\104"+
    "\65\0\1\67\2\105\1\106\1\105\2\67\1\107\2\67"+
    "\1\110\1\111\2\67\1\112\2\67\26\63\1\113\1\67"+
    "\1\111\26\63\4\67\1\0\4\114\2\0\1\115\6\0"+
    "\1\42\30\0\1\116\65\0\1\117\30\0\1\117\20\0"+
    "\1\117\32\0\1\120\30\0\1\120\21\0\4\45\2\0"+
    "\1\46\6\0\1\22\30\0\1\52\70\0\1\121\30\0"+
    "\1\121\17\0\4\45\2\0\1\46\6\0\1\22\30\0"+
    "\1\52\30\0\1\45\4\0\4\45\2\0\1\46\4\0"+
    "\1\45\1\0\1\22\30\0\1\52\67\0\1\122\30\0"+
    "\1\122\51\0\1\123\30\0\1\123\51\0\1\124\30\0"+
    "\1\124\20\0\1\124\31\0\1\125\30\0\1\125\20\0"+
    "\1\125\1\0\4\55\2\0\1\56\3\0\1\57\6\0"+
    "\1\126\1\0\1\127\7\0\1\130\1\131\1\0\1\132"+
    "\1\0\1\133\1\134\1\135\1\136\4\0\1\57\1\0"+
    "\1\126\1\0\1\127\7\0\1\130\1\131\1\0\1\132"+
    "\1\0\1\133\1\134\1\135\1\136\4\0\1\133\35\0"+
    "\1\137\30\0\1\137\17\0\4\57\2\0\1\140\12\0"+
    "\1\126\1\0\1\127\7\0\1\130\1\131\1\0\1\132"+
    "\1\0\1\133\1\134\1\135\1\136\6\0\1\126\1\0"+
    "\1\127\7\0\1\130\1\131\1\0\1\132\1\0\1\133"+
    "\1\134\1\135\1\136\4\0\1\133\32\0\1\141\30\0"+
    "\1\141\20\0\1\141\31\0\1\142\30\0\1\142\20\0"+
    "\1\142\1\0\4\143\2\0\1\144\2\0\1\145\1\146"+
    "\2\0\1\147\3\0\1\150\1\0\1\151\7\0\1\152"+
    "\1\153\1\0\1\154\1\0\1\155\1\156\1\157\1\160"+
    "\2\0\1\161\1\0\1\146\1\0\1\150\1\0\1\151"+
    "\7\0\1\152\1\153\1\0\1\154\1\0\1\155\1\156"+
    "\1\157\1\160\4\0\1\155\2\0\1\143\1\64\2\143"+
    "\2\0\1\144\2\0\1\145\1\146\2\0\1\147\3\0"+
    "\1\150\1\0\1\151\7\0\1\152\1\153\1\0\1\154"+
    "\1\0\1\155\1\156\1\157\1\160\2\0\1\161\1\0"+
    "\1\146\1\0\1\150\1\0\1\151\7\0\1\152\1\153"+
    "\1\0\1\154\1\0\1\155\1\156\1\157\1\160\4\0"+
    "\1\155\35\0\1\162\30\0\1\162\17\0\4\145\2\0"+
    "\1\163\2\0\1\145\3\0\1\147\30\0\1\36\35\0"+
    "\4\146\2\0\1\164\12\0\1\150\1\0\1\151\7\0"+
    "\1\152\1\153\1\0\1\154\1\0\1\155\1\156\1\157"+
    "\1\160\6\0\1\150\1\0\1\151\7\0\1\152\1\153"+
    "\1\0\1\154\1\0\1\155\1\156\1\157\1\160\4\0"+
    "\1\155\1\0\1\165\2\166\1\167\1\166\2\165\1\170"+
    "\1\165\1\67\1\171\1\172\2\165\1\72\30\165\1\173"+
    "\1\165\1\172\32\165\32\0\1\174\30\0\1\174\21\0"+
    "\4\74\2\0\1\75\6\0\1\77\30\0\1\102\70\0"+
    "\1\175\30\0\1\175\17\0\4\74\2\0\1\75\6\0"+
    "\1\77\30\0\1\102\30\0\1\74\3\0\1\176\2\177"+
    "\1\200\1\177\2\176\1\201\2\176\1\202\3\176\1\77"+
    "\30\176\1\203\34\176\1\0\4\74\2\0\1\75\4\0"+
    "\1\74\1\0\1\77\30\0\1\102\67\0\1\204\30\0"+
    "\1\204\51\0\1\205\30\0\1\205\51\0\1\206\30\0"+
    "\1\206\20\0\1\206\16\0\1\207\66\0\1\143\1\105"+
    "\2\143\2\0\1\144\2\0\1\145\1\146\2\0\1\147"+
    "\3\0\1\150\1\0\1\151\7\0\1\152\1\153\1\0"+
    "\1\154\1\0\1\155\1\156\1\157\1\160\2\0\1\161"+
    "\1\0\1\146\1\0\1\150\1\0\1\151\7\0\1\152"+
    "\1\153\1\0\1\154\1\0\1\155\1\156\1\157\1\160"+
    "\4\0\1\155\1\0\1\67\2\105\1\106\1\105\2\67"+
    "\1\107\2\67\1\110\1\111\2\67\1\112\2\67\26\165"+
    "\1\113\1\67\1\111\26\165\4\67\1\0\4\114\2\0"+
    "\1\115\37\0\1\116\70\0\1\210\30\0\1\210\50\0"+
    "\1\211\30\0\1\211\54\0\1\212\30\0\1\212\47\0"+
    "\1\213\30\0\1\213\20\0\1\213\22\0\1\214\30\0"+
    "\1\214\31\0\4\45\2\0\1\46\4\0\1\45\1\0"+
    "\1\22\6\0\1\215\21\0\1\52\6\0\1\215\56\0"+
    "\1\216\30\0\1\216\20\0\1\216\34\0\1\217\30\0"+
    "\1\217\52\0\1\220\30\0\1\220\46\0\1\221\30\0"+
    "\1\221\17\0\1\221\27\0\1\222\15\0\1\223\12\0"+
    "\1\222\15\0\1\223\44\0\1\224\30\0\1\224\40\0"+
    "\1\225\30\0\1\225\72\0\1\226\30\0\1\226\34\0"+
    "\1\227\30\0\1\227\52\0\1\230\30\0\1\230\61\0"+
    "\1\231\30\0\1\231\46\0\1\232\30\0\1\232\17\0"+
    "\1\232\24\0\1\233\30\0\1\233\64\0\1\234\30\0"+
    "\1\234\52\0\1\235\30\0\1\235\50\0\1\236\30\0"+
    "\1\236\20\0\1\165\2\237\1\240\1\237\2\165\1\241"+
    "\2\165\1\171\1\172\2\165\1\147\30\165\1\242\1\165"+
    "\1\172\32\165\30\0\1\243\30\0\1\243\17\0\1\243"+
    "\27\0\1\244\15\0\1\245\12\0\1\244\15\0\1\245"+
    "\44\0\1\246\30\0\1\246\40\0\1\247\30\0\1\247"+
    "\72\0\1\250\30\0\1\250\34\0\1\251\30\0\1\251"+
    "\52\0\1\252\30\0\1\252\61\0\1\253\30\0\1\253"+
    "\46\0\1\254\30\0\1\254\17\0\1\254\24\0\1\255"+
    "\30\0\1\255\64\0\1\256\30\0\1\256\52\0\1\257"+
    "\30\0\1\257\17\0\1\143\1\166\2\143\2\0\1\144"+
    "\2\0\1\145\1\146\2\0\1\147\3\0\1\150\1\0"+
    "\1\151\7\0\1\152\1\153\1\0\1\154\1\0\1\155"+
    "\1\156\1\157\1\160\2\0\1\161\1\0\1\146\1\0"+
    "\1\150\1\0\1\151\7\0\1\152\1\153\1\0\1\154"+
    "\1\0\1\155\1\156\1\157\1\160\4\0\1\155\32\0"+
    "\1\260\30\0\1\260\20\0\1\260\22\0\1\261\30\0"+
    "\1\261\31\0\4\262\2\0\1\263\2\0\1\264\3\0"+
    "\1\265\30\0\1\266\35\0\1\262\1\177\2\262\2\0"+
    "\1\263\2\0\1\264\3\0\1\265\30\0\1\266\70\0"+
    "\1\267\30\0\1\267\17\0\4\264\2\0\1\270\2\0"+
    "\1\264\3\0\1\265\30\0\1\102\66\0\1\271\30\0"+
    "\1\271\21\0\4\74\2\0\1\75\4\0\1\74\1\0"+
    "\1\77\6\0\1\272\21\0\1\102\6\0\1\272\56\0"+
    "\1\273\30\0\1\273\20\0\1\273\34\0\1\274\30\0"+
    "\1\274\34\0\1\275\1\0\1\67\105\0\1\276\30\0"+
    "\1\276\61\0\1\277\30\0\1\277\20\0\1\277\17\0"+
    "\1\300\120\0\1\301\30\0\1\301\57\0\1\302\30\0"+
    "\1\302\7\0\1\302\41\0\1\303\30\0\1\303\46\0"+
    "\1\304\30\0\1\304\35\0\1\305\103\0\1\306\125\0"+
    "\1\307\30\0\1\307\7\0\1\307\24\0\1\310\30\0"+
    "\1\310\64\0\1\231\30\0\1\231\51\0\1\310\7\0"+
    "\1\311\20\0\1\310\7\0\1\311\50\0\1\311\30\0"+
    "\1\311\31\0\1\312\6\0\1\313\21\0\1\312\6\0"+
    "\1\313\17\0\1\313\35\0\1\314\2\0\1\315\7\0"+
    "\1\316\15\0\1\314\2\0\1\315\7\0\1\316\44\0"+
    "\1\317\30\0\1\317\36\0\1\320\17\0\1\321\10\0"+
    "\1\320\17\0\1\321\31\0\1\322\30\0\1\322\70\0"+
    "\1\323\30\0\1\323\7\0\1\323\23\0\1\324\30\0"+
    "\1\324\47\0\1\325\101\0\1\326\67\0\4\327\2\0"+
    "\1\330\2\0\1\145\1\146\2\0\1\147\3\0\1\150"+
    "\1\0\1\151\7\0\1\152\1\153\1\0\1\154\1\0"+
    "\1\155\1\156\1\157\1\160\2\0\1\331\1\0\1\146"+
    "\1\0\1\150\1\0\1\151\7\0\1\152\1\153\1\0"+
    "\1\154\1\0\1\155\1\156\1\157\1\160\4\0\1\155"+
    "\2\0\1\327\1\237\2\327\2\0\1\330\2\0\1\145"+
    "\1\146\2\0\1\147\3\0\1\150\1\0\1\151\7\0"+
    "\1\152\1\153\1\0\1\154\1\0\1\155\1\156\1\157"+
    "\1\160\2\0\1\331\1\0\1\146\1\0\1\150\1\0"+
    "\1\151\7\0\1\152\1\153\1\0\1\154\1\0\1\155"+
    "\1\156\1\157\1\160\4\0\1\155\35\0\1\332\30\0"+
    "\1\332\50\0\1\333\30\0\1\333\61\0\1\334\30\0"+
    "\1\334\7\0\1\334\24\0\1\335\30\0\1\335\64\0"+
    "\1\253\30\0\1\253\51\0\1\335\7\0\1\336\20\0"+
    "\1\335\7\0\1\336\50\0\1\336\30\0\1\336\31\0"+
    "\1\337\6\0\1\340\21\0\1\337\6\0\1\340\17\0"+
    "\1\340\35\0\1\341\2\0\1\342\7\0\1\343\15\0"+
    "\1\341\2\0\1\342\7\0\1\343\44\0\1\344\30\0"+
    "\1\344\36\0\1\345\17\0\1\346\10\0\1\345\17\0"+
    "\1\346\31\0\1\347\30\0\1\347\70\0\1\350\30\0"+
    "\1\350\7\0\1\350\23\0\1\351\30\0\1\351\52\0"+
    "\1\352\30\0\1\352\64\0\1\353\30\0\1\353\57\0"+
    "\1\354\30\0\1\354\7\0\1\354\1\0\1\355\2\356"+
    "\1\357\1\356\2\355\1\360\2\355\1\361\3\355\1\265"+
    "\30\355\1\362\34\355\22\0\1\363\30\0\1\363\64\0"+
    "\1\364\30\0\1\364\47\0\1\365\30\0\1\365\20\0"+
    "\1\365\40\0\1\366\30\0\1\366\46\0\1\367\30\0"+
    "\1\367\35\0\1\370\102\0\1\371\1\0\1\67\124\0"+
    "\1\372\30\0\1\372\7\0\1\372\35\0\1\373\30\0"+
    "\1\373\37\0\26\374\2\0\1\374\70\0\1\375\30\0"+
    "\1\375\44\0\1\45\4\0\1\45\23\0\1\45\4\0"+
    "\1\45\12\0\1\45\21\0\1\376\105\0\20\377\1\u0100"+
    "\5\377\2\0\1\377\20\0\1\u0101\7\0\1\u0101\22\0"+
    "\20\377\1\u0102\5\377\2\0\1\377\20\0\1\u0103\7\0"+
    "\1\u0103\2\0\4\u0104\2\0\1\u0105\1\0\1\u0106\122\0"+
    "\1\u0107\30\0\1\u0107\17\0\1\u0107\32\0\1\u0108\4\0"+
    "\1\u0109\23\0\1\u0108\4\0\1\u0109\12\0\1\u0108\44\0"+
    "\1\134\30\0\1\134\44\0\1\u010a\30\0\1\u010a\43\0"+
    "\1\u010b\30\0\1\u010b\67\0\1\316\30\0\1\316\34\0"+
    "\1\320\3\0\1\u0108\24\0\1\320\3\0\1\u0108\17\0"+
    "\1\u0108\3\0\3\u0104\1\u010c\2\0\1\u0105\1\0\1\u0106"+
    "\12\0\1\320\17\0\1\321\10\0\1\320\17\0\1\321"+
    "\33\0\1\222\30\0\1\222\55\0\1\222\30\0\1\222"+
    "\17\0\1\222\32\0\1\u010d\30\0\1\u010d\17\0\1\u010d"+
    "\40\0\1\u010e\30\0\1\u010e\55\0\1\u010f\30\0\1\u010f"+
    "\7\0\1\u010f\22\0\26\377\2\0\1\377\101\0\1\u0110"+
    "\56\0\1\u0111\30\0\1\u0111\61\0\1\u0112\30\0\1\u0112"+
    "\20\0\1\u0112\1\63\2\u0113\1\u0114\1\u0113\2\63\1\u0115"+
    "\1\63\1\u0116\1\u0117\3\63\1\u0118\30\63\1\u0119\34\63"+
    "\30\0\1\u011a\30\0\1\u011a\17\0\1\u011a\32\0\1\u011b"+
    "\4\0\1\u011c\23\0\1\u011b\4\0\1\u011c\12\0\1\u011b"+
    "\44\0\1\156\30\0\1\156\44\0\1\u011d\30\0\1\u011d"+
    "\43\0\1\u011e\30\0\1\u011e\67\0\1\343\30\0\1\343"+
    "\34\0\1\345\3\0\1\u011b\24\0\1\345\3\0\1\u011b"+
    "\17\0\1\u011b\2\0\1\63\2\u0113\1\u0114\1\u011f\2\63"+
    "\1\u0115\1\63\1\u0116\1\u0117\3\63\1\u0118\5\63\1\u0120"+
    "\17\63\1\u0121\2\63\1\u0119\5\63\1\u0120\17\63\1\u0121"+
    "\6\63\25\0\1\244\30\0\1\244\55\0\1\244\30\0"+
    "\1\244\17\0\1\244\32\0\1\u0122\30\0\1\u0122\17\0"+
    "\1\u0122\40\0\1\u0123\30\0\1\u0123\55\0\1\u0124\30\0"+
    "\1\u0124\7\0\1\u0124\42\0\1\u0125\30\0\1\u0125\7\0"+
    "\1\u0125\20\0\1\u0126\122\0\1\u0127\30\0\1\u0127\15\0"+
    "\1\262\1\356\2\262\2\0\1\263\2\0\1\264\3\0"+
    "\1\265\30\0\1\266\75\0\1\u0128\30\0\1\u0128\7\0"+
    "\1\u0128\23\0\1\u0129\30\0\1\u0129\64\0\1\u012a\30\0"+
    "\1\u012a\46\0\1\74\4\0\1\74\23\0\1\74\4\0"+
    "\1\74\12\0\1\74\21\0\1\u012b\125\0\1\u012c\30\0"+
    "\1\u012c\7\0\1\u012c\21\0\1\67\121\0\1\u012d\30\0"+
    "\1\u012d\33\0\1\u012e\103\0\1\u012f\1\0\26\374\2\0"+
    "\1\374\52\0\1\45\124\0\1\u0101\30\0\1\u0101\7\0"+
    "\1\u0101\20\0\1\u0130\1\0\26\377\2\0\1\377\51\0"+
    "\1\u0130\1\0\21\377\1\u0131\4\377\2\0\1\377\21\0"+
    "\1\u0132\52\0\1\u0132\30\0\1\u0132\27\0\1\u0130\1\0"+
    "\21\377\1\u0133\4\377\2\0\1\377\21\0\1\u0134\52\0"+
    "\1\u0134\30\0\1\u0134\44\0\1\u0135\30\0\1\u0135\43\0"+
    "\1\221\30\0\1\221\52\0\1\u0136\30\0\1\u0136\51\0"+
    "\1\320\30\0\1\320\52\0\1\320\12\0\1\u0137\4\0"+
    "\1\321\10\0\1\320\12\0\1\u0137\4\0\1\321\40\0"+
    "\1\307\30\0\1\307\21\0\4\u0104\2\0\1\u0105\1\0"+
    "\1\u0106\12\0\1\320\30\0\1\320\53\0\1\u0138\30\0"+
    "\1\u0138\45\0\1\55\121\0\1\u0139\30\0\1\u0139\14\0"+
    "\47\u013a\1\0\34\u013a\41\0\1\u013b\30\0\1\u013b\7\0"+
    "\1\u013b\35\0\1\u013c\30\0\1\u013c\17\0\4\u013d\2\0"+
    "\1\u013e\1\0\1\u013f\1\u0140\3\0\1\u0118\30\0\1\u0141"+
    "\35\0\1\u013d\1\u0113\2\u013d\2\0\1\u013e\1\0\1\u013f"+
    "\1\u0140\3\0\1\u0118\30\0\1\u0141\70\0\1\u0142\30\0"+
    "\1\u0142\16\0\1\63\2\u0143\1\u0144\1\u0143\2\63\1\u0145"+
    "\2\63\1\u0117\3\63\1\u0118\30\63\1\u0119\34\63\1\0"+
    "\4\u0140\2\0\1\u0146\2\0\1\u0140\3\0\1\u0118\65\0"+
    "\1\63\2\u0147\1\u0148\1\u0147\2\63\1\u0149\2\63\1\u0117"+
    "\1\71\2\63\1\u0118\30\63\1\u0119\1\63\1\71\32\63"+
    "\32\0\1\u014a\30\0\1\u014a\45\0\1\243\30\0\1\243"+
    "\52\0\1\u014b\30\0\1\u014b\51\0\1\345\30\0\1\345"+
    "\52\0\1\345\12\0\1\u014c\4\0\1\346\10\0\1\345"+
    "\12\0\1\u014c\4\0\1\346\40\0\1\334\30\0\1\334"+
    "\21\0\4\u013d\2\0\1\u013e\1\0\1\u013f\1\u0140\3\0"+
    "\1\u0118\5\0\1\345\22\0\1\u0141\5\0\1\345\53\0"+
    "\1\u014d\30\0\1\u014d\45\0\1\143\121\0\1\u014e\30\0"+
    "\1\u014e\52\0\1\u014f\30\0\1\u014f\55\0\1\u0150\30\0"+
    "\1\u0150\7\0\1\u0150\21\0\1\74\121\0\1\u0151\30\0"+
    "\1\u0151\55\0\1\u0152\30\0\1\u0152\7\0\1\u0152\20\0"+
    "\1\u0153\125\0\1\u0154\30\0\1\u0154\7\0\1\u0154\43\0"+
    "\1\u0155\30\0\1\u0155\30\0\1\114\124\0\1\u0156\30\0"+
    "\1\u0156\7\0\1\u0156\1\0\2\u012f\2\0\1\u012f\1\0"+
    "\11\u012f\1\u0157\27\u012f\2\0\33\u012f\2\u0130\2\0\1\u0130"+
    "\1\0\11\u0130\1\u0158\27\u0130\2\0\33\u0130\17\0\1\u0130"+
    "\1\0\15\377\1\u0159\10\377\2\0\1\377\15\0\1\u015a"+
    "\52\0\1\u015a\30\0\1\u015a\33\0\1\u0130\1\0\15\377"+
    "\1\u015b\10\377\2\0\1\377\15\0\1\u015c\52\0\1\u015c"+
    "\30\0\1\u015c\36\0\1\u015d\30\0\1\u015d\71\0\1\u015e"+
    "\30\0\1\u015e\7\0\1\u015e\44\0\1\u015f\30\0\1\u015f"+
    "\50\0\1\u0160\30\0\1\u0160\7\0\1\u0160\21\0\1\57"+
    "\63\0\47\u013a\1\0\1\u0161\33\u013a\36\0\1\u0162\30\0"+
    "\1\u0162\33\0\1\u0163\106\0\1\u0164\30\0\1\u0164\31\0"+
    "\4\u0165\2\0\1\u0166\2\0\1\u0140\3\0\1\u0118\30\0"+
    "\1\u0141\35\0\1\u0165\1\u0143\2\u0165\2\0\1\u0166\2\0"+
    "\1\u0140\3\0\1\u0118\30\0\1\u0141\70\0\1\u0167\30\0"+
    "\1\u0167\52\0\1\u0168\30\0\1\u0168\17\0\4\u0169\2\0"+
    "\1\u016a\2\0\1\u0140\1\146\2\0\1\u0118\3\0\1\150"+
    "\1\0\1\151\7\0\1\152\1\153\1\0\1\154\1\0"+
    "\1\155\1\156\1\157\1\160\2\0\1\u0141\1\0\1\146"+
    "\1\0\1\150\1\0\1\151\7\0\1\152\1\153\1\0"+
    "\1\154\1\0\1\155\1\156\1\157\1\160\4\0\1\155"+
    "\2\0\1\u0169\1\u0147\2\u0169\2\0\1\u016a\2\0\1\u0140"+
    "\1\146\2\0\1\u0118\3\0\1\150\1\0\1\151\7\0"+
    "\1\152\1\153\1\0\1\154\1\0\1\155\1\156\1\157"+
    "\1\160\2\0\1\u0141\1\0\1\146\1\0\1\150\1\0"+
    "\1\151\7\0\1\152\1\153\1\0\1\154\1\0\1\155"+
    "\1\156\1\157\1\160\4\0\1\155\35\0\1\u016b\30\0"+
    "\1\u016b\47\0\1\u016c\30\0\1\u016c\20\0\1\u016c\41\0"+
    "\1\u016d\30\0\1\u016d\7\0\1\u016d\44\0\1\u016e\30\0"+
    "\1\u016e\50\0\1\u016f\30\0\1\u016f\7\0\1\u016f\21\0"+
    "\1\145\103\0\1\146\125\0\1\u0170\30\0\1\u0170\30\0"+
    "\1\262\121\0\1\u0171\30\0\1\u0171\55\0\1\u0172\30\0"+
    "\1\u0172\7\0\1\u0172\43\0\1\u0173\30\0\1\u0173\46\0"+
    "\1\u0174\30\0\1\u0174\56\0\1\u0175\30\0\1\u0175\26\0"+
    "\1\u0176\103\0\1\u0177\104\0\1\u0130\1\0\24\377\1\u0178"+
    "\1\377\2\0\1\377\24\0\1\u0179\52\0\1\u0179\30\0"+
    "\1\u0179\24\0\1\u0130\1\0\24\377\1\u017a\1\377\2\0"+
    "\1\377\24\0\1\u017b\52\0\1\u017b\30\0\1\u017b\46\0"+
    "\1\u017c\30\0\1\u017c\7\0\1\u017c\2\0\3\u0104\1\u010c"+
    "\2\0\1\u0105\1\0\1\u0106\12\0\1\320\30\0\1\320"+
    "\56\0\1\u0108\30\0\1\u0108\17\0\1\u0108\3\0\3\u0104"+
    "\1\u017d\2\0\1\u0105\1\0\1\u0106\10\0\1\126\14\0"+
    "\1\u017e\1\0\1\u017f\1\u0180\10\0\1\126\14\0\1\u017e"+
    "\1\0\1\u017f\1\u0180\6\0\1\u017f\1\0\16\u013a\1\u0181"+
    "\30\u013a\1\0\1\u0161\33\u013a\20\0\1\327\124\0\1\u0182"+
    "\30\0\1\u0182\7\0\1\u0182\42\0\1\u0183\30\0\1\u0183"+
    "\7\0\1\u0183\23\0\1\u0184\30\0\1\u0184\52\0\1\u0185"+
    "\30\0\1\u0185\52\0\1\u0186\30\0\1\u0186\64\0\1\u0187"+
    "\30\0\1\u0187\16\0\1\63\2\u0113\1\u0114\1\u011f\2\63"+
    "\1\u0115\1\63\1\u0116\1\u0117\3\63\1\u0118\5\63\1\u0120"+
    "\22\63\1\u0119\5\63\1\u0120\26\63\30\0\1\u011b\30\0"+
    "\1\u011b\17\0\1\u011b\2\0\1\63\2\u0113\1\u0114\1\u0188"+
    "\2\63\1\u0115\1\63\1\u0116\1\u0117\3\63\1\u0118\3\63"+
    "\1\u0189\14\63\1\u018a\1\63\1\u018b\1\u018c\4\63\1\u0119"+
    "\3\63\1\u0189\14\63\1\u018a\1\63\1\u018b\1\u018c\6\63"+
    "\1\u018b\1\63\36\0\1\u018d\30\0\1\u018d\34\0\1\264"+
    "\125\0\1\u018e\30\0\1\u018e\46\0\1\u018f\30\0\1\u018f"+
    "\61\0\1\u0190\30\0\1\u0190\43\0\1\u0191\30\0\1\u0191"+
    "\32\0\1\u0176\31\0\1\u0192\51\0\1\u0177\31\0\1\u0193"+
    "\52\0\1\u0194\1\0\26\377\2\0\1\377\51\0\1\u0195"+
    "\103\0\1\u0196\1\0\26\377\2\0\1\377\51\0\1\u0197"+
    "\122\0\1\u0198\30\0\1\u0198\15\0\4\u0104\2\0\1\u0105"+
    "\1\0\1\u0106\10\0\1\126\14\0\1\u017e\1\0\1\u017f"+
    "\1\u0180\10\0\1\126\14\0\1\u017e\1\0\1\u017f\1\u0180"+
    "\6\0\1\u017f\44\0\1\u0199\30\0\1\u0199\34\0\1\u019a"+
    "\30\0\1\u019a\52\0\1\u019b\30\0\1\u019b\25\0\16\u013a"+
    "\1\u0181\1\u019c\27\u013a\1\0\1\u0161\33\u013a\42\0\1\u019d"+
    "\30\0\1\u019d\46\0\1\u019e\30\0\1\u019e\55\0\1\u019f"+
    "\30\0\1\u019f\7\0\1\u019f\42\0\1\u01a0\30\0\1\u01a0"+
    "\7\0\1\u01a0\42\0\1\u01a1\30\0\1\u01a1\7\0\1\u01a1"+
    "\20\0\1\u01a2\65\0\4\u013d\2\0\1\u013e\1\0\1\u013f"+
    "\1\u0140\3\0\1\u0118\3\0\1\150\14\0\1\u01a3\1\0"+
    "\1\u01a4\1\u01a5\4\0\1\u0141\3\0\1\150\14\0\1\u01a3"+
    "\1\0\1\u01a4\1\u01a5\6\0\1\u01a4\44\0\1\u01a6\30\0"+
    "\1\u01a6\34\0\1\u01a7\30\0\1\u01a7\52\0\1\u01a8\30\0"+
    "\1\u01a8\72\0\1\u01a9\30\0\1\u01a9\43\0\1\u01aa\30\0"+
    "\1\u01aa\61\0\1\u01ab\30\0\1\u01ab\24\0\1\u01ac\131\0"+
    "\1\u01ad\30\0\1\u01ad\5\0\47\u01ae\1\0\34\u01ae\2\u0130"+
    "\2\0\1\u0130\1\0\11\u0130\1\u0158\6\u0130\1\u01af\13\u0130"+
    "\1\u01b0\4\u0130\2\0\6\u0130\1\u01af\13\u0130\1\u01b0\10\u0130"+
    "\26\0\1\u01b1\13\0\1\u01b2\14\0\1\u01b1\13\0\1\u01b2"+
    "\10\0\2\u0130\2\0\1\u0130\1\0\11\u0130\1\u0158\6\u0130"+
    "\1\u01b3\13\u0130\1\u01b4\4\u0130\2\0\6\u0130\1\u01b3\13\u0130"+
    "\1\u01b4\10\u0130\26\0\1\u01b5\13\0\1\u01b6\14\0\1\u01b5"+
    "\13\0\1\u01b6\30\0\1\u0104\104\0\1\u01b7\6\0\1\u01b8"+
    "\21\0\1\u01b7\6\0\1\u01b8\17\0\1\u01b8\35\0\1\314"+
    "\30\0\1\314\57\0\1\307\30\0\1\307\12\0\2\u019c"+
    "\2\u013a\1\u019c\1\u013a\11\u019c\1\u01b9\27\u019c\1\0\1\u0161"+
    "\33\u019c\36\0\1\u01ba\30\0\1\u01ba\34\0\1\u013d\121\0"+
    "\1\u01bb\30\0\1\u01bb\52\0\1\u01bc\30\0\1\u01bc\52\0"+
    "\1\u01bd\30\0\1\u01bd\55\0\1\u01be\30\0\1\u01be\7\0"+
    "\1\u01be\22\0\1\u01bf\6\0\1\u01c0\21\0\1\u01bf\6\0"+
    "\1\u01c0\17\0\1\u01c0\35\0\1\341\30\0\1\341\57\0"+
    "\1\334\30\0\1\334\31\0\1\u01c1\131\0\1\u01c2\30\0"+
    "\1\u01c2\24\0\1\u01c3\112\0\1\u01c4\30\0\1\u01c4\43\0"+
    "\1\u01c5\64\0\47\u01ae\1\u01c6\34\u01ae\2\u0130\2\0\1\u0130"+
    "\1\0\11\u0130\1\u0158\20\u0130\1\u01c7\6\u0130\2\0\20\u0130"+
    "\1\u01c7\14\u0130\2\0\1\u0130\1\0\11\u0130\1\u0158\15\u0130"+
    "\1\u01c8\11\u0130\2\0\15\u0130\1\u01c8\15\u0130\40\0\1\u01c9"+
    "\30\0\1\u01c9\47\0\1\u01ca\30\0\1\u01ca\15\0\2\u0130"+
    "\2\0\1\u0130\1\0\11\u0130\1\u0158\20\u0130\1\u01cb\6\u0130"+
    "\2\0\20\u0130\1\u01cb\14\u0130\2\0\1\u0130\1\0\11\u0130"+
    "\1\u0158\15\u0130\1\u01cc\11\u0130\2\0\15\u0130\1\u01cc\15\u0130"+
    "\40\0\1\u01cd\30\0\1\u01cd\47\0\1\u01ce\30\0\1\u01ce"+
    "\57\0\1\u0180\30\0\1\u0180\44\0\1\u01cf\30\0\1\u01cf"+
    "\16\0\25\u013a\1\u01d0\21\u013a\1\0\1\u0161\5\u013a\1\u01d0"+
    "\25\u013a\45\0\1\u01d1\30\0\1\u01d1\25\0\1\u0165\103\0"+
    "\1\u0140\103\0\1\u0169\125\0\1\u01d2\30\0\1\u01d2\52\0"+
    "\1\u01a5\30\0\1\u01a5\44\0\1\u01d3\30\0\1\u01d3\37\0"+
    "\1\u01d4\4\0\1\u01c4\6\0\1\u01d5\14\0\1\u01d4\4\0"+
    "\1\u01c4\6\0\1\u01d5\34\0\1\u01d6\112\0\1\u01d7\30\0"+
    "\1\u01d7\64\0\1\u01d8\30\0\1\u01d8\47\0\1\u01d5\30\0"+
    "\1\u01d5\32\0\1\u01d9\66\0\2\u0130\2\0\1\u0130\1\0"+
    "\11\u0130\1\u0158\15\u0130\1\u01da\11\u0130\2\0\15\u0130\1\u01da"+
    "\17\u0130\2\0\1\u0130\1\0\11\u0130\1\u01db\27\u0130\2\0"+
    "\33\u0130\35\0\1\u01dc\30\0\1\u01dc\34\0\1\u01dd\64\0"+
    "\2\u0130\2\0\1\u0130\1\0\11\u0130\1\u0158\15\u0130\1\u01de"+
    "\11\u0130\2\0\15\u0130\1\u01de\17\u0130\2\0\1\u0130\1\0"+
    "\11\u0130\1\u01df\27\u0130\2\0\33\u0130\35\0\1\u01e0\30\0"+
    "\1\u01e0\34\0\1\u01e1\123\0\1\u01e2\30\0\1\u01e2\13\0"+
    "\42\u013a\1\u01e3\4\u013a\1\0\1\u0161\22\u013a\1\u01e3\10\u013a"+
    "\17\0\1\u01e4\122\0\1\u01e5\30\0\1\u01e5\53\0\1\u01e6"+
    "\30\0\1\u01e6\47\0\1\u01e7\30\0\1\u01e7\44\0\1\u01e8"+
    "\30\0\1\u01e8\45\0\1\u01e9\4\0\1\u01d7\23\0\1\u01e9"+
    "\4\0\1\u01d7\64\0\1\u01ea\30\0\1\u01ea\47\0\1\u01eb"+
    "\30\0\1\u01eb\47\0\1\u01ec\30\0\1\u01ec\20\0\2\u0130"+
    "\2\0\1\u0130\1\0\11\u0130\1\u0158\13\u0130\1\u01c8\13\u0130"+
    "\2\0\13\u0130\1\u01c8\17\u0130\16\0\1\u01ed\120\0\1\u01ca"+
    "\30\0\1\u01ca\35\0\1\u01ee\65\0\2\u0130\2\0\1\u0130"+
    "\1\0\11\u0130\1\u0158\13\u0130\1\u01cc\13\u0130\2\0\13\u0130"+
    "\1\u01cc\17\u0130\16\0\1\u01ef\120\0\1\u01ce\30\0\1\u01ce"+
    "\35\0\1\u01f0\130\0\1\310\30\0\1\310\7\0\21\u013a"+
    "\1\u01f1\25\u013a\1\0\1\u0161\1\u013a\1\u01f1\31\u013a\21\0"+
    "\1\u01d4\4\0\1\u01c4\23\0\1\u01d4\4\0\1\u01c4\71\0"+
    "\1\u01f2\30\0\1\u01f2\50\0\1\335\30\0\1\335\33\0"+
    "\1\u01f3\30\0\1\u01f3\45\0\1\u01f4\120\0\1\u01f5\30\0"+
    "\1\u01f5\53\0\1\u01f6\30\0\1\u01f6\50\0\1\u01f7\30\0"+
    "\1\u01f7\50\0\1\u01f8\30\0\1\u01f8\20\0\1\u01f8\16\0"+
    "\1\u01ed\31\0\1\u01f9\51\0\1\u01ee\31\0\1\u01fa\51\0"+
    "\1\u01ef\31\0\1\u01fb\51\0\1\u01f0\31\0\1\u01fc\33\0"+
    "\24\u013a\1\u01fd\22\u013a\1\0\1\u0161\4\u013a\1\u01fd\26\u013a"+
    "\17\0\1\u01fe\103\0\1\u01ff\102\0\1\u0200\111\0\1\u0201"+
    "\30\0\1\u0201\61\0\1\u0202\30\0\1\u0202\36\0\1\u0203"+
    "\120\0\1\u0204\30\0\1\u0204\16\0\47\u0205\1\0\34\u0205"+
    "\47\u0206\1\0\34\u0206\47\u0207\1\0\34\u0207\47\u0208\1\0"+
    "\34\u0208\47\u013a\1\0\1\u0161\1\u0209\32\u013a\21\0\1\u020a"+
    "\30\0\1\u020a\47\0\1\u020b\103\0\1\u0200\31\0\1\u020c"+
    "\52\0\1\u020d\103\0\1\u020e\102\0\1\u020f\135\0\1\u0210"+
    "\33\0\47\u0205\1\u0211\34\u0205\47\u0206\1\u0212\34\u0206\47\u0207"+
    "\1\u0213\34\u0207\47\u0208\1\u0214\34\u0208\23\u013a\1\u0215\23\u013a"+
    "\1\0\1\u0161\3\u013a\1\u0215\27\u013a\34\0\1\u0216\30\0"+
    "\1\u0216\34\0\1\u020b\31\0\1\u0217\33\0\47\u0218\1\0"+
    "\34\u0218\16\0\1\u0219\103\0\1\u021a\103\0\1\u020f\31\0"+
    "\1\u021b\50\0\1\u021c\103\0\1\u021d\103\0\1\u021e\103\0"+
    "\1\u021f\66\0\35\u013a\1\u0220\11\u013a\1\0\1\u0161\15\u013a"+
    "\1\u0220\15\u013a\24\0\1\u0221\30\0\1\u0221\26\0\47\u0222"+
    "\1\0\34\u0222\47\u0218\1\u0223\34\u0218\16\0\1\u0219\31\0"+
    "\1\u0224\51\0\1\u021a\31\0\1\u0225\33\0\47\u0226\1\0"+
    "\34\u0226\32\0\1\u0227\30\0\1\u0227\52\0\1\u0228\30\0"+
    "\1\u0228\52\0\1\u0229\30\0\1\u0229\52\0\1\u022a\30\0"+
    "\1\u022a\20\0\24\u013a\1\u022b\22\u013a\1\0\1\u0161\4\u013a"+
    "\1\u022b\26\u013a\17\0\1\u022c\64\0\47\u0222\1\u022d\34\u0222"+
    "\15\0\1\u022e\66\0\47\u022f\1\0\34\u022f\47\u0230\1\0"+
    "\34\u0230\47\u0226\1\u0231\34\u0226\31\0\1\u0232\30\0\1\u0232"+
    "\20\0\1\u0232\31\0\1\u0233\30\0\1\u0233\20\0\1\u0233"+
    "\31\0\1\u0234\30\0\1\u0234\20\0\1\u0234\31\0\1\u0235"+
    "\30\0\1\u0235\20\0\1\u0235\17\u013a\1\u0236\27\u013a\1\0"+
    "\1\u0161\33\u013a\16\0\1\u0237\102\0\1\u0238\120\0\1\u0239"+
    "\30\0\1\u0239\20\0\47\u022f\1\u023a\34\u022f\47\u0230\1\u023b"+
    "\34\u0230\15\0\1\u023c\122\0\1\u023d\30\0\1\u023d\52\0"+
    "\1\u023e\30\0\1\u023e\52\0\1\u023f\30\0\1\u023f\52\0"+
    "\1\u0240\30\0\1\u0240\16\0\34\u013a\1\u0241\12\u013a\1\0"+
    "\1\u0161\14\u013a\1\u0241\16\u013a\16\0\1\u0237\31\0\1\u0242"+
    "\65\0\1\u0243\30\0\1\u0243\51\0\1\u0244\30\0\1\u0244"+
    "\20\0\1\u0244\15\0\1\u0245\103\0\1\u0246\120\0\1\u0247"+
    "\30\0\1\u0247\70\0\1\u0248\103\0\1\u0249\103\0\1\u024a"+
    "\103\0\1\u024b\33\0\31\u013a\1\u024c\15\u013a\1\0\1\u0161"+
    "\11\u013a\1\u024c\20\u013a\1\u024c\47\u024d\1\0\34\u024d\31\0"+
    "\1\u024e\30\0\1\u024e\20\0\1\u024e\34\0\1\u024f\30\0"+
    "\1\u024f\50\0\1\u0250\30\0\1\u0250\52\0\1\u0251\30\0"+
    "\1\u0251\51\0\1\u0252\30\0\1\u0252\20\0\1\u0252\1\0"+
    "\4\u0249\2\0\1\u0253\6\0\1\22\66\0\4\u024b\2\0"+
    "\1\u0254\6\0\1\25\65\0\32\u013a\1\u0255\14\u013a\1\0"+
    "\1\u0161\12\u013a\1\u0255\20\u013a\47\u024d\1\u0256\34\u024d\34\0"+
    "\1\u0257\30\0\1\u0257\66\0\1\u0258\64\0\1\u0259\30\0"+
    "\1\u0259\20\0\1\u0259\31\0\1\u025a\30\0\1\u025a\20\0"+
    "\1\u025a\34\0\1\u025b\30\0\1\u025b\52\0\1\u025c\30\0"+
    "\1\u025c\52\0\1\u025d\30\0\1\u025d\16\0\47\u013a\1\u025e"+
    "\1\u0161\33\u013a\15\0\1\u025f\136\0\1\u0260\34\0\4\u0258"+
    "\2\0\1\u0261\37\0\1\u0262\70\0\1\u0263\30\0\1\u0263"+
    "\52\0\1\u0264\30\0\1\u0264\66\0\1\u0265\55\0\1\u0266"+
    "\30\0\1\u0266\52\0\1\u0267\30\0\1\u0267\31\0\4\u025e"+
    "\13\0\1\u0268\27\0\1\u0269\65\0\1\u026a\30\0\1\u026a"+
    "\21\0\4\u0260\2\0\1\u026b\6\0\1\u026c\30\0\1\u026d"+
    "\70\0\1\u026e\30\0\1\u026e\50\0\1\u026f\30\0\1\u026f"+
    "\70\0\1\u0270\103\0\1\u0271\34\0\4\u0265\2\0\1\u0272"+
    "\6\0\1\u0273\126\0\1\u0274\30\0\1\u0274\7\0\1\u0274"+
    "\42\0\1\u0275\30\0\1\u0275\7\0\1\u0275\37\0\1\u0276"+
    "\30\0\1\u0276\50\0\1\u0277\30\0\1\u0277\47\0\1\u0278"+
    "\30\0\1\u0278\20\0\1\u0278\34\0\1\u0279\30\0\1\u0279"+
    "\16\0\1\165\2\u027a\1\u027b\1\u027a\2\165\1\u027c\3\165"+
    "\1\u027d\2\165\1\u026c\32\165\1\u027d\32\165\32\0\1\u027e"+
    "\30\0\1\u027e\42\0\1\u027f\30\0\1\u027f\61\0\1\u0280"+
    "\30\0\1\u0280\20\0\1\u0280\1\0\4\u0270\2\0\1\u0281"+
    "\6\0\1\u0282\30\0\1\u0283\35\0\4\u0271\2\0\1\u0284"+
    "\6\0\1\u0285\121\0\1\u0286\30\0\1\u0286\17\0\4\u0287"+
    "\2\0\1\u0288\6\0\1\u0273\30\0\1\u0289\72\0\1\u028a"+
    "\30\0\1\u028a\52\0\1\u028b\30\0\1\u028b\55\0\1\u028c"+
    "\30\0\1\u028c\7\0\1\u028c\32\0\1\u028d\30\0\1\u028d"+
    "\20\0\1\u028d\34\0\1\u028e\30\0\1\u028e\40\0\1\u028f"+
    "\30\0\1\u028f\31\0\4\u0290\2\0\1\u0291\3\0\1\u0292"+
    "\6\0\1\u0293\1\0\1\u0294\7\0\1\u0295\1\u0296\1\0"+
    "\1\u0297\1\0\1\u0298\1\u0299\1\u029a\1\u029b\4\0\1\u0292"+
    "\1\0\1\u0293\1\0\1\u0294\7\0\1\u0295\1\u0296\1\0"+
    "\1\u0297\1\0\1\u0298\1\u0299\1\u029a\1\u029b\4\0\1\u0298"+
    "\2\0\1\u0290\1\u027a\2\u0290\2\0\1\u0291\3\0\1\u0292"+
    "\6\0\1\u0293\1\0\1\u0294\7\0\1\u0295\1\u0296\1\0"+
    "\1\u0297\1\0\1\u0298\1\u0299\1\u029a\1\u029b\4\0\1\u0292"+
    "\1\0\1\u0293\1\0\1\u0294\7\0\1\u0295\1\u0296\1\0"+
    "\1\u0297\1\0\1\u0298\1\u0299\1\u029a\1\u029b\4\0\1\u0298"+
    "\35\0\1\u029c\30\0\1\u029c\17\0\4\u0292\2\0\1\u029d"+
    "\12\0\1\u0293\1\0\1\u0294\7\0\1\u0295\1\u0296\1\0"+
    "\1\u0297\1\0\1\u0298\1\u0299\1\u029a\1\u029b\6\0\1\u0293"+
    "\1\0\1\u0294\7\0\1\u0295\1\u0296\1\0\1\u0297\1\0"+
    "\1\u0298\1\u0299\1\u029a\1\u029b\4\0\1\u0298\32\0\1\u029e"+
    "\30\0\1\u029e\20\0\1\u029e\41\0\1\u029f\30\0\1\u029f"+
    "\7\0\1\u029f\35\0\1\u02a0\30\0\1\u02a0\52\0\1\u02a1"+
    "\30\0\1\u02a1\16\0\3\355\1\u02a2\12\355\1\u0282\65\355"+
    "\32\0\1\u02a3\30\0\1\u02a3\54\0\1\u02a4\30\0\1\u02a4"+
    "\17\0\4\u02a5\2\0\1\u02a6\6\0\1\u0285\30\0\1\u02a7"+
    "\56\0\1\u02a8\30\0\1\u02a8\31\0\4\u0287\2\0\1\u0288"+
    "\37\0\1\u0289\70\0\1\u02a9\30\0\1\u02a9\50\0\1\u02aa"+
    "\30\0\1\u02aa\40\0\1\u0249\103\0\1\u024b\105\0\1\u02ab"+
    "\30\0\1\u02ab\62\0\1\u02ac\30\0\1\u02ac\70\0\1\u02ad"+
    "\74\0\1\u02ae\30\0\1\u02ae\7\0\1\u02ae\31\0\1\u02af"+
    "\30\0\1\u02af\17\0\1\u02af\27\0\1\u02b0\15\0\1\u02b1"+
    "\12\0\1\u02b0\15\0\1\u02b1\44\0\1\u02b2\30\0\1\u02b2"+
    "\40\0\1\u02b3\30\0\1\u02b3\72\0\1\u02b4\30\0\1\u02b4"+
    "\34\0\1\u02b5\30\0\1\u02b5\52\0\1\u02b6\30\0\1\u02b6"+
    "\61\0\1\u02b7\30\0\1\u02b7\46\0\1\u02b8\30\0\1\u02b8"+
    "\17\0\1\u02b8\24\0\1\u02b9\30\0\1\u02b9\64\0\1\u02ba"+
    "\30\0\1\u02ba\52\0\1\u02bb\30\0\1\u02bb\54\0\1\u02bc"+
    "\30\0\1\u02bc\33\0\1\u02bd\106\0\1\u02be\30\0\1\u02be"+
    "\32\0\1\355\132\0\1\u02bf\30\0\1\u02bf\20\0\1\u02bf"+
    "\22\0\1\u02c0\30\0\1\u02c0\31\0\4\u02a5\2\0\1\u02a6"+
    "\37\0\1\u02a7\70\0\1\u02c1\30\0\1\u02c1\50\0\1\u02c2"+
    "\30\0\1\u02c2\61\0\1\u02c3\30\0\1\u02c3\7\0\1\u02c3"+
    "\23\0\1\u02c4\30\0\1\u02c4\61\0\1\u02c5\30\0\1\u02c5"+
    "\20\0\1\u02c5\34\0\1\u02c6\30\0\1\u02c6\33\0\1\u02c7"+
    "\67\0\4\u02ad\2\0\1\u02c8\6\0\1\u02c9\123\0\1\u02ca"+
    "\30\0\1\u02ca\55\0\1\u02cb\30\0\1\u02cb\7\0\1\u02cb"+
    "\24\0\1\u02cc\30\0\1\u02cc\64\0\1\u02b7\30\0\1\u02b7"+
    "\51\0\1\u02cc\7\0\1\u02cd\20\0\1\u02cc\7\0\1\u02cd"+
    "\50\0\1\u02cd\30\0\1\u02cd\31\0\1\u02ce\6\0\1\u02cf"+
    "\21\0\1\u02ce\6\0\1\u02cf\17\0\1\u02cf\35\0\1\u02d0"+
    "\2\0\1\u02d1\7\0\1\u02d2\15\0\1\u02d0\2\0\1\u02d1"+
    "\7\0\1\u02d2\44\0\1\u02d3\30\0\1\u02d3\36\0\1\u02d4"+
    "\17\0\1\u02d5\10\0\1\u02d4\17\0\1\u02d5\31\0\1\u02d6"+
    "\30\0\1\u02d6\70\0\1\u02d7\30\0\1\u02d7\7\0\1\u02d7"+
    "\23\0\1\u02d8\30\0\1\u02d8\47\0\1\u02d9\104\0\1\u0258"+
    "\107\0\1\u02da\30\0\1\u02da\67\0\1\u02db\30\0\1\u02db"+
    "\7\0\1\u02db\35\0\1\u02dc\30\0\1\u02dc\57\0\1\u02dd"+
    "\30\0\1\u02dd\7\0\1\u02dd\23\0\1\u02de\30\0\1\u02de"+
    "\61\0\1\u02df\30\0\1\u02df\20\0\1\u02df\36\0\1\u02e0"+
    "\30\0\1\u02e0\55\0\1\u02e1\30\0\1\u02e1\7\0\1\u02e1"+
    "\35\0\1\u02e2\30\0\1\u02e2\25\0\1\u025e\143\0\1\u02e3"+
    "\70\0\1\u02e4\30\0\1\u02e4\16\0\1\63\2\u02e5\1\u02e6"+
    "\1\u02e5\2\63\1\u02e7\3\63\1\u02e8\2\63\1\u02c9\32\63"+
    "\1\u02e8\32\63\20\0\1\u0260\63\0\1\63\2\u02e9\1\u02ea"+
    "\1\u02e9\2\63\1\u02eb\1\63\1\u02ec\4\63\1\0\65\63"+
    "\30\0\1\u02ed\30\0\1\u02ed\17\0\1\u02ed\32\0\1\u02ee"+
    "\4\0\1\u02ef\23\0\1\u02ee\4\0\1\u02ef\12\0\1\u02ee"+
    "\44\0\1\u0299\30\0\1\u0299\44\0\1\u02f0\30\0\1\u02f0"+
    "\43\0\1\u02f1\30\0\1\u02f1\67\0\1\u02d2\30\0\1\u02d2"+
    "\34\0\1\u02d4\3\0\1\u02ee\24\0\1\u02d4\3\0\1\u02ee"+
    "\17\0\1\u02ee\2\0\1\63\2\u02e9\1\u02ea\1\u02f2\2\63"+
    "\1\u02eb\1\63\1\u02ec\4\63\1\0\5\63\1\u02f3\17\63"+
    "\1\u02f4\10\63\1\u02f3\17\63\1\u02f4\6\63\25\0\1\u02b0"+
    "\30\0\1\u02b0\55\0\1\u02b0\30\0\1\u02b0\17\0\1\u02b0"+
    "\32\0\1\u02f5\30\0\1\u02f5\17\0\1\u02f5\40\0\1\u02f6"+
    "\30\0\1\u02f6\55\0\1\u02f7\30\0\1\u02f7\7\0\1\u02f7"+
    "\42\0\1\u02f8\30\0\1\u02f8\7\0\1\u02f8\36\0\1\u02f9"+
    "\30\0\1\u02f9\53\0\1\u02fa\30\0\1\u02fa\33\0\1\u02fb"+
    "\122\0\1\u02fc\30\0\1\u02fc\55\0\1\u02fd\30\0\1\u02fd"+
    "\7\0\1\u02fd\35\0\1\u02fe\30\0\1\u02fe\36\0\1\u0265"+
    "\121\0\1\u02ff\30\0\1\u02ff\33\0\1\u0300\64\0\47\u0301"+
    "\1\0\34\u0301\22\0\1\u0302\30\0\1\u0302\31\0\1\u0290"+
    "\1\u02e5\2\u0290\2\0\1\u0291\3\0\1\u0292\6\0\1\u0293"+
    "\1\0\1\u0294\7\0\1\u0295\1\u0296\1\0\1\u0297\1\0"+
    "\1\u0298\1\u0299\1\u029a\1\u029b\4\0\1\u0292\1\0\1\u0293"+
    "\1\0\1\u0294\7\0\1\u0295\1\u0296\1\0\1\u0297\1\0"+
    "\1\u0298\1\u0299\1\u029a\1\u029b\4\0\1\u0298\2\0\4\u0303"+
    "\2\0\1\u0304\1\0\1\u0305\73\0\1\u0303\1\u02e9\2\u0303"+
    "\2\0\1\u0304\1\0\1\u0305\126\0\1\u0306\30\0\1\u0306"+
    "\16\0\3\63\1\u0307\12\63\1\0\65\63\25\0\1\u02af"+
    "\30\0\1\u02af\52\0\1\u0308\30\0\1\u0308\51\0\1\u02d4"+
    "\30\0\1\u02d4\52\0\1\u02d4\12\0\1\u0309\4\0\1\u02d5"+
    "\10\0\1\u02d4\12\0\1\u0309\4\0\1\u02d5\40\0\1\u02cb"+
    "\30\0\1\u02cb\21\0\4\u0303\2\0\1\u0304\1\0\1\u0305"+
    "\12\0\1\u02d4\30\0\1\u02d4\53\0\1\u030a\30\0\1\u030a"+
    "\45\0\1\u0290\121\0\1\u030b\30\0\1\u030b\56\0\1\u030c"+
    "\30\0\1\u030c\33\0\1\u030d\30\0\1\u030d\47\0\1\u0270"+
    "\124\0\1\u030e\30\0\1\u030e\7\0\1\u030e\21\0\1\u0271"+
    "\121\0\1\u030f\30\0\1\u030f\33\0\1\u0310\104\0\1\u0287"+
    "\124\0\1\u0311\30\0\1\u0311\7\0\1\u0311\1\0\47\u0301"+
    "\1\0\1\u0312\33\u0301\41\0\1\u0313\30\0\1\u0313\7\0"+
    "\1\u0313\23\0\1\u0314\30\0\1\u0314\32\0\1\63\142\0"+
    "\1\u0315\30\0\1\u0315\7\0\1\u0315\44\0\1\u0316\30\0"+
    "\1\u0316\50\0\1\u0317\30\0\1\u0317\7\0\1\u0317\21\0"+
    "\1\u0292\121\0\1\u0318\30\0\1\u0318\65\0\1\u0319\74\0"+
    "\1\u031a\30\0\1\u031a\30\0\1\u02a5\124\0\1\u031b\30\0"+
    "\1\u031b\7\0\1\u031b\43\0\1\u031c\30\0\1\u031c\10\0"+
    "\16\u0301\1\u031d\30\u0301\1\0\1\u0312\33\u0301\36\0\1\u031e"+
    "\30\0\1\u031e\55\0\1\u031f\30\0\1\u031f\7\0\1\u031f"+
    "\1\0\1\63\2\u02e9\1\u02ea\1\u02f2\2\63\1\u02eb\1\63"+
    "\1\u02ec\4\63\1\0\5\63\1\u02f3\30\63\1\u02f3\26\63"+
    "\30\0\1\u02ee\30\0\1\u02ee\17\0\1\u02ee\2\0\1\63"+
    "\2\u02e9\1\u02ea\1\u0320\2\63\1\u02eb\1\63\1\u02ec\4\63"+
    "\1\0\3\63\1\u0321\14\63\1\u0322\1\63\1\u0323\1\u0324"+
    "\10\63\1\u0321\14\63\1\u0322\1\63\1\u0323\1\u0324\6\63"+
    "\1\u0323\1\63\45\0\1\u0325\30\0\1\u0325\31\0\1\u0326"+
    "\30\0\1\u0326\64\0\1\u0327\30\0\1\u0327\56\0\1\u0328"+
    "\30\0\1\u0328\46\0\1\u0329\30\0\1\u0329\14\0\16\u0301"+
    "\1\u031d\1\u032a\27\u0301\1\0\1\u0312\33\u0301\20\0\1\u02ad"+
    "\121\0\1\u032b\30\0\1\u032b\15\0\4\u0303\2\0\1\u0304"+
    "\1\0\1\u0305\10\0\1\u0293\14\0\1\u032c\1\0\1\u032d"+
    "\1\u032e\10\0\1\u0293\14\0\1\u032c\1\0\1\u032d\1\u032e"+
    "\6\0\1\u032d\44\0\1\u032f\30\0\1\u032f\34\0\1\u0330"+
    "\30\0\1\u0330\52\0\1\u0331\30\0\1\u0331\44\0\1\u0332"+
    "\105\0\1\u0333\30\0\1\u0333\76\0\1\u0334\30\0\1\u0334"+
    "\43\0\1\u0335\30\0\1\u0335\61\0\1\u0336\30\0\1\u0336"+
    "\5\0\26\u0301\1\u0337\20\u0301\1\0\1\u0312\6\u0301\1\u0337"+
    "\24\u0301\20\0\1\u0303\104\0\1\u0338\6\0\1\u0339\21\0"+
    "\1\u0338\6\0\1\u0339\17\0\1\u0339\35\0\1\u02d0\30\0"+
    "\1\u02d0\57\0\1\u02cb\30\0\1\u02cb\40\0\1\u033a\30\0"+
    "\1\u033a\66\0\1\u033b\30\0\1\u033b\27\0\1\u033c\131\0"+
    "\1\u033d\30\0\1\u033d\24\0\1\u033e\64\0\35\u0301\1\u033f"+
    "\11\u0301\1\0\1\u0312\15\u0301\1\u033f\15\u0301\42\0\1\u032e"+
    "\30\0\1\u032e\44\0\1\u0340\30\0\1\u0340\56\0\1\u0341"+
    "\30\0\1\u0341\37\0\1\u0342\30\0\1\u0342\53\0\1\u0343"+
    "\30\0\1\u0343\43\0\1\u0344\126\0\1\u0345\30\0\1\u0345"+
    "\10\0\17\u0301\1\u0346\27\u0301\1\0\1\u0312\33\u0301\37\0"+
    "\1\u0347\30\0\1\u0347\50\0\1\u0348\30\0\1\u0348\34\0"+
    "\1\u0349\124\0\1\u034a\30\0\1\u034a\54\0\1\u034b\30\0"+
    "\1\u034b\45\0\1\u034c\30\0\1\u034c\15\0\45\u0301\1\u034d"+
    "\1\u0301\1\0\1\u0312\25\u0301\1\u034d\5\u0301\43\0\1\u02cc"+
    "\30\0\1\u02cc\42\0\1\u034e\30\0\1\u034e\17\0\2\u0349"+
    "\2\0\1\u0349\1\0\11\u0349\1\u034f\27\u0349\2\0\33\u0349"+
    "\35\0\1\u0350\30\0\1\u0350\52\0\1\u0351\30\0\1\u0351"+
    "\34\0\1\u0352\64\0\36\u0301\1\u0353\10\u0301\1\0\1\u0312"+
    "\16\u0301\1\u0353\14\u0301\17\0\1\u0354\102\0\1\u0355\120\0"+
    "\1\u0356\30\0\1\u0356\36\0\1\u0357\102\0\1\u0358\65\0"+
    "\42\u0301\1\u0359\4\u0301\1\0\1\u0312\22\u0301\1\u0359\10\u0301"+
    "\16\0\1\u035a\103\0\1\u0355\31\0\1\u035b\52\0\1\u035c"+
    "\102\0\1\u035d\103\0\1\u0358\31\0\1\u035e\33\0\41\u0301"+
    "\1\u035f\5\u0301\1\0\1\u0312\21\u0301\1\u035f\7\u0301\1\u035f"+
    "\1\u0301\16\0\1\u035a\31\0\1\u0360\33\0\47\u0361\1\0"+
    "\34\u0361\16\0\1\u0362\103\0\1\u035d\31\0\1\u0363\33\0"+
    "\47\u0364\1\0\34\u0364\17\u0301\1\u0365\27\u0301\1\0\1\u0312"+
    "\33\u0301\47\u0366\1\0\34\u0366\47\u0361\1\u0367\34\u0361\16\0"+
    "\1\u0362\31\0\1\u0368\33\0\47\u0369\1\0\34\u0369\47\u0364"+
    "\1\u036a\34\u0364\34\u0301\1\u036b\12\u0301\1\0\1\u0312\14\u0301"+
    "\1\u036b\16\u0301\47\u0366\1\u036c\34\u0366\15\0\1\u036d\66\0"+
    "\47\u036e\1\0\34\u036e\47\u0369\1\u036f\34\u0369\15\0\1\u0370"+
    "\66\0\31\u0301\1\u0371\15\u0301\1\0\1\u0312\11\u0301\1\u0371"+
    "\20\u0301\1\u0371\15\0\1\u0372\120\0\1\u0373\30\0\1\u0373"+
    "\20\0\47\u036e\1\u0374\34\u036e\15\0\1\u0375\120\0\1\u0376"+
    "\30\0\1\u0376\20\0\32\u0301\1\u0377\14\u0301\1\0\1\u0312"+
    "\12\u0301\1\u0377\20\u0301\32\0\1\u0378\30\0\1\u0378\51\0"+
    "\1\u0379\30\0\1\u0379\20\0\1\u0379\15\0\1\u037a\120\0"+
    "\1\u037b\30\0\1\u037b\51\0\1\u037c\30\0\1\u037c\20\0"+
    "\1\u037c\47\u0301\1\u037d\1\u0312\33\u0301\31\0\1\u037e\30\0"+
    "\1\u037e\20\0\1\u037e\34\0\1\u037f\30\0\1\u037f\50\0"+
    "\1\u0380\30\0\1\u0380\51\0\1\u0381\30\0\1\u0381\20\0"+
    "\1\u0381\34\0\1\u0382\30\0\1\u0382\17\0\4\u037d\13\0"+
    "\1\u0383\117\0\1\u0384\30\0\1\u0384\66\0\1\u0385\64\0"+
    "\1\u0386\30\0\1\u0386\20\0\1\u0386\34\0\1\u0387\30\0"+
    "\1\u0387\66\0\1\u0388\71\0\1\u0389\30\0\1\u0389\64\0"+
    "\1\u038a\67\0\1\u038b\30\0\1\u038b\66\0\1\u038c\34\0"+
    "\4\u0388\2\0\1\u038d\6\0\1\u038e\126\0\1\u038f\30\0"+
    "\1\u038f\7\0\1\u038f\2\0\4\u038a\2\0\1\u0390\6\0"+
    "\1\u0391\135\0\1\u0392\34\0\4\u038c\2\0\1\u0393\6\0"+
    "\1\265\121\0\1\u0394\30\0\1\u0394\16\0\1\165\2\u0395"+
    "\1\u0396\1\u0395\2\165\1\u0397\2\165\1\u0398\3\165\1\u038e"+
    "\30\165\1\u0399\34\165\22\0\1\u039a\30\0\1\u039a\64\0"+
    "\1\u039b\30\0\1\u039b\17\0\4\u039c\2\0\1\u039d\6\0"+
    "\1\u0391\30\0\1\u039e\35\0\4\u0392\2\0\1\u039f\6\0"+
    "\1\u03a0\121\0\1\u03a1\30\0\1\u03a1\40\0\1\u03a2\30\0"+
    "\1\u03a2\31\0\4\u03a3\2\0\1\u03a4\2\0\1\u03a5\3\0"+
    "\1\u038e\30\0\1\u03a6\35\0\1\u03a3\1\u0395\2\u03a3\2\0"+
    "\1\u03a4\2\0\1\u03a5\3\0\1\u038e\30\0\1\u03a6\70\0"+
    "\1\u03a7\30\0\1\u03a7\17\0\4\u03a5\2\0\1\u03a8\2\0"+
    "\1\u03a5\3\0\1\u038e\30\0\1\36\66\0\1\u03a9\30\0"+
    "\1\u03a9\54\0\1\u03aa\30\0\1\u03aa\40\0\1\u03ab\30\0"+
    "\1\u03ab\31\0\4\u039c\2\0\1\u039d\37\0\1\u039e\70\0"+
    "\1\u03ac\30\0\1\u03ac\50\0\1\u03ad\30\0\1\u03ad\54\0"+
    "\1\u03ae\30\0\1\u03ae\17\0\4\u03af\2\0\1\u03b0\6\0"+
    "\1\u03a0\30\0\1\u03b1\56\0\1\u03b2\30\0\1\u03b2\71\0"+
    "\1\u03b3\30\0\1\u03b3\7\0\1\u03b3\23\0\1\u03b4\30\0"+
    "\1\u03b4\64\0\1\u03b5\30\0\1\u03b5\47\0\1\u03b6\30\0"+
    "\1\u03b6\20\0\1\u03b6\7\0\1\u037d\135\0\1\u03b7\30\0"+
    "\1\u03b7\7\0\1\u03b7\23\0\1\u03b8\30\0\1\u03b8\61\0"+
    "\1\u03b9\30\0\1\u03b9\20\0\1\u03b9\22\0\1\u03ba\30\0"+
    "\1\u03ba\31\0\4\u03af\2\0\1\u03b0\37\0\1\u03b1\70\0"+
    "\1\u03bb\30\0\1\u03bb\50\0\1\u03bc\30\0\1\u03bc\61\0"+
    "\1\u03bd\30\0\1\u03bd\7\0\1\u03bd\37\0\1\u03be\30\0"+
    "\1\u03be\55\0\1\u03bf\30\0\1\u03bf\7\0\1\u03bf\23\0"+
    "\1\u03c0\30\0\1\u03c0\64\0\1\u03c1\30\0\1\u03c1\54\0"+
    "\1\u03c2\30\0\1\u03c2\55\0\1\u03c3\30\0\1\u03c3\7\0"+
    "\1\u03c3\35\0\1\u03c4\30\0\1\u03c4\57\0\1\u03c5\30\0"+
    "\1\u03c5\7\0\1\u03c5\23\0\1\u03c6\30\0\1\u03c6\61\0"+
    "\1\u03c7\30\0\1\u03c7\20\0\1\u03c7\36\0\1\u03c8\30\0"+
    "\1\u03c8\34\0\1\u0388\121\0\1\u03c9\30\0\1\u03c9\55\0"+
    "\1\u03ca\30\0\1\u03ca\7\0\1\u03ca\20\0\1\u03cb\104\0"+
    "\1\u038a\121\0\1\u03cc\30\0\1\u03cc\33\0\1\u03cd\122\0"+
    "\1\u03ce\30\0\1\u03ce\55\0\1\u03cf\30\0\1\u03cf\7\0"+
    "\1\u03cf\35\0\1\u03d0\30\0\1\u03d0\36\0\1\u038c\103\0"+
    "\1\u03a3\121\0\1\u03d1\30\0\1\u03d1\55\0\1\u03d2\30\0"+
    "\1\u03d2\7\0\1\u03d2\21\0\1\u039c\124\0\1\u03d3\30\0"+
    "\1\u03d3\7\0\1\u03d3\21\0\1\u0392\121\0\1\u03d4\30\0"+
    "\1\u03d4\33\0\1\u03d5\104\0\1\u03a5\125\0\1\u03d6\30\0"+
    "\1\u03d6\52\0\1\u03d7\30\0\1\u03d7\30\0\1\u03af\124\0"+
    "\1\u03d8\30\0\1\u03d8\7\0\1\u03d8\37\0\1\u03d9\30\0"+
    "\1\u03d9\52\0\1\u03da\30\0\1\u03da\56\0\1\u03db\30\0"+
    "\1\u03db\55\0\1\u03dc\30\0\1\u03dc\52\0\1\u03dd\30\0"+
    "\1\u03dd\43\0\1\u03de\30\0\1\u03de\33\0\1\u03df\103\0"+
    "\1\u03e0\131\0\1\u03e1\30\0\1\u03e1\26\0\1\u03e2\4\0"+
    "\1\u01c4\23\0\1\u03e2\4\0\1\u01c4\66\0\1\u03e3\30\0"+
    "\1\u03e3\27\0\1\u03e4\120\0\1\u03e5\30\0\1\u03e5\53\0"+
    "\1\u03e6\30\0\1\u03e6\57\0\1\u03e7\30\0\1\u03e7\34\0"+
    "\1\u03e8\30\0\1\u03e8\45\0\1\u03e9\121\0\1\u03ea\30\0"+
    "\1\u03ea\34\0\1\u03eb\102\0\1\u03ec\104\0\1\u03ed\102\0"+
    "\1\u03ee\103\0\1\u03ec\31\0\1\u03ef\51\0\1\u03f0\103\0"+
    "\1\u03ee\31\0\1\u03f1\33\0\47\u03f2\1\0\34\u03f2\16\0"+
    "\1\u03f0\31\0\1\u03f3\33\0\47\u03f4\1\0\34\u03f4\47\u03f2"+
    "\1\u03f5\34\u03f2\47\u03f6\1\0\34\u03f6\47\u03f4\1\u03f7\34\u03f4"+
    "\15\0\1\u03f8\66\0\47\u03f6\1\u03f9\34\u03f6\15\0\1\u03fa"+
    "\120\0\1\u03fb\30\0\1\u03fb\35\0\1\u03fc\120\0\1\u03fd"+
    "\30\0\1\u03fd\51\0\1\u03fe\30\0\1\u03fe\20\0\1\u03fe"+
    "\32\0\1\u03ff\30\0\1\u03ff\51\0\1\u0400\30\0\1\u0400"+
    "\20\0\1\u0400\34\0\1\u0401\30\0\1\u0401\47\0\1\u0402"+
    "\30\0\1\u0402\20\0\1\u0402\34\0\1\u0403\30\0\1\u0403"+
    "\66\0\1\u0404\67\0\1\u0405\30\0\1\u0405\66\0\1\u0406"+
    "\34\0\4\u0404\2\0\1\u0407\6\0\1\u0408\135\0\1\u0409"+
    "\34\0\4\u0406\2\0\1\u040a\6\0\1\u0408\30\0\1\u026d"+
    "\70\0\1\u040b\30\0\1\u040b\16\0\3\165\1\u040c\12\165"+
    "\1\u0408\65\165\1\0\4\u0409\2\0\1\u040d\6\0\1\u0282"+
    "\121\0\1\u040e\30\0\1\u040e\40\0\1\u040f\30\0\1\u040f"+
    "\32\0\1\165\135\0\1\u0410\30\0\1\u0410\40\0\1\u0411"+
    "\30\0\1\u0411\71\0\1\u0412\30\0\1\u0412\7\0\1\u0412"+
    "\23\0\1\u0413\30\0\1\u0413\71\0\1\u0414\30\0\1\u0414"+
    "\7\0\1\u0414\37\0\1\u0415\30\0\1\u0415\55\0\1\u0416"+
    "\30\0\1\u0416\7\0\1\u0416\37\0\1\u0417\30\0\1\u0417"+
    "\34\0\1\u0404\121\0\1\u0418\30\0\1\u0418\34\0\1\u0406"+
    "\103\0\1\u0409\63\0";

  private static int [] zzUnpacktrans() {
    int [] result = new int[66028];
    int offset = 0;
    offset = zzUnpacktrans(ZZ_TRANS_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpacktrans(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      value--;
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /** Error code for "Unknown internal scanner error". */
  private static final int ZZ_UNKNOWN_ERROR = 0;
  /** Error code for "could not match input". */
  private static final int ZZ_NO_MATCH = 1;
  /** Error code for "pushback value was too large". */
  private static final int ZZ_PUSHBACK_2BIG = 2;

  /**
   * Error messages for {@link #ZZ_UNKNOWN_ERROR}, {@link #ZZ_NO_MATCH}, and
   * {@link #ZZ_PUSHBACK_2BIG} respectively.
   */
  private static final String ZZ_ERROR_MSG[] = {
    "Unknown internal scanner error",
    "Error: could not match input",
    "Error: pushback value was too large"
  };

  /**
   * ZZ_ATTRIBUTE[aState] contains the attributes of state {@code aState}
   */
  private static final int [] ZZ_ATTRIBUTE = zzUnpackAttribute();

  private static final String ZZ_ATTRIBUTE_PACKED_0 =
    "\7\0\4\1\1\11\2\1\1\11\1\1\1\11\7\1"+
    "\30\0\1\1\1\0\1\11\3\1\1\11\2\1\1\0"+
    "\1\1\11\0\5\1\1\0\1\1\51\0\1\11\6\1"+
    "\2\0\1\11\5\1\33\0\4\1\36\0\1\11\5\0"+
    "\1\1\7\0\1\1\35\0\1\11\5\1\23\0\1\11"+
    "\14\0\5\1\1\0\1\1\5\0\3\1\41\0\3\1"+
    "\1\0\3\1\24\0\1\1\1\0\1\1\47\0\5\1"+
    "\5\0\1\11\175\0\1\11\67\0\1\1\1\0\1\1"+
    "\57\0\4\1\44\0\1\1\102\0\10\1\5\0\3\1"+
    "\22\0\1\1\30\0\5\1\130\0\1\1\7\0\1\11"+
    "\17\0\5\1\162\0\1\1\14\0";

  private static int [] zzUnpackAttribute() {
    int [] result = new int[1048];
    int offset = 0;
    offset = zzUnpackAttribute(ZZ_ATTRIBUTE_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackAttribute(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }

  /** Input device. */
  private java.io.Reader zzReader;

  /** Current state of the DFA. */
  private int zzState;

  /** Current lexical state. */
  private int zzLexicalState = YYINITIAL;

  /**
   * This buffer contains the current text to be matched and is the source of the {@link #yytext()}
   * string.
   */
  private char zzBuffer[] = new char[Math.min(ZZ_BUFFERSIZE, zzMaxBufferLen())];

  /** Text position at the last accepting state. */
  private int zzMarkedPos;

  /** Current text position in the buffer. */
  private int zzCurrentPos;

  /** Marks the beginning of the {@link #yytext()} string in the buffer. */
  private int zzStartRead;

  /** Marks the last character in the buffer, that has been read from input. */
  private int zzEndRead;

  /**
   * Whether the scanner is at the end of file.
   * @see #yyatEOF
   */
  private boolean zzAtEOF;

  /**
   * The number of occupied positions in {@link #zzBuffer} beyond {@link #zzEndRead}.
   *
   * <p>When a lead/high surrogate has been read from the input stream into the final
   * {@link #zzBuffer} position, this will have a value of 1; otherwise, it will have a value of 0.
   */
  private int zzFinalHighSurrogate = 0;

  /** For the backwards DFA of general lookahead statements */
  private boolean [] zzFin = new boolean [Math.min(ZZ_BUFFERSIZE, zzMaxBufferLen())+1];

  /** Number of newlines encountered up to the start of the matched text. */
  private int yyline;

  /** Number of characters from the last newline up to the start of the matched text. */
  private int yycolumn;

  /** Number of characters up to the start of the matched text. */
  private long yychar;

  /** Whether the scanner is currently at the beginning of a line. */
  @SuppressWarnings("unused")
  private boolean zzAtBOL = true;

  /** Whether the user-EOF-code has already been executed. */
  @SuppressWarnings("unused")
  private boolean zzEOFDone;

  /* user code: */
	
	S074_Numbers() { }
	
	private Collection<Number> numbers = new ArrayList<Number>();
	


  /**
   * Creates a new scanner
   *
   * @param   in  the java.io.Reader to read input from.
   */
  S074_Numbers(java.io.Reader in) {
    this.zzReader = in;
  }


  /** Returns the maximum size of the scanner buffer, which limits the size of tokens. */
  private int zzMaxBufferLen() {
    return Integer.MAX_VALUE;
  }

  /**  Whether the scanner buffer can grow to accommodate a larger token. */
  private boolean zzCanGrow() {
    return true;
  }

  /**
   * Translates raw input code points to DFA table row
   */
  private static int zzCMap(int input) {
    int offset = input & 255;
    return offset == input ? ZZ_CMAP_BLOCKS[offset] : ZZ_CMAP_BLOCKS[ZZ_CMAP_TOP[input >> 8] | offset];
  }

  /**
   * Refills the input buffer.
   *
   * @return {@code false} iff there was new input.
   * @exception java.io.IOException  if any I/O-Error occurs
   */
  private boolean zzRefill() throws java.io.IOException {

    /* first: make room (if you can) */
    if (zzStartRead > 0) {
      zzEndRead += zzFinalHighSurrogate;
      zzFinalHighSurrogate = 0;
      System.arraycopy(zzBuffer, zzStartRead,
                       zzBuffer, 0,
                       zzEndRead - zzStartRead);

      /* translate stored positions */
      zzEndRead -= zzStartRead;
      zzCurrentPos -= zzStartRead;
      zzMarkedPos -= zzStartRead;
      zzStartRead = 0;
    }

    /* is the buffer big enough? */
    if (zzCurrentPos >= zzBuffer.length - zzFinalHighSurrogate && zzCanGrow()) {
      /* if not, and it can grow: blow it up */
      char newBuffer[] = new char[Math.min(zzBuffer.length * 2, zzMaxBufferLen())];
      System.arraycopy(zzBuffer, 0, newBuffer, 0, zzBuffer.length);
      zzBuffer = newBuffer;
      zzEndRead += zzFinalHighSurrogate;
      zzFinalHighSurrogate = 0;
    }

    /* fill the buffer with new input */
    int requested = zzBuffer.length - zzEndRead;
    int numRead = zzReader.read(zzBuffer, zzEndRead, requested);

    /* not supposed to occur according to specification of java.io.Reader */
    if (numRead == 0) {
      if (requested == 0) {
        throw new java.io.EOFException("Scan buffer limit reached ["+zzBuffer.length+"]");
      }
      else {
        throw new java.io.IOException(
            "Reader returned 0 characters. See JFlex examples/zero-reader for a workaround.");
      }
    }
    if (numRead > 0) {
      zzEndRead += numRead;
      if (Character.isHighSurrogate(zzBuffer[zzEndRead - 1])) {
        if (numRead == requested) { // We requested too few chars to encode a full Unicode character
          --zzEndRead;
          zzFinalHighSurrogate = 1;
        } else {                    // There is room in the buffer for at least one more char
          int c = zzReader.read();  // Expecting to read a paired low surrogate char
          if (c == -1) {
            return true;
          } else {
            zzBuffer[zzEndRead++] = (char)c;
          }
        }
      }
      /* potentially more input available */
      return false;
    }

    /* numRead < 0 ==> end of stream */
    return true;
  }


  /**
   * Closes the input reader.
   *
   * @throws java.io.IOException if the reader could not be closed.
   */
  public final void yyclose() throws java.io.IOException {
    zzAtEOF = true; // indicate end of file
    zzEndRead = zzStartRead; // invalidate buffer

    if (zzReader != null) {
      zzReader.close();
    }
  }


  /**
   * Resets the scanner to read from a new input stream.
   *
   * <p>Does not close the old reader.
   *
   * <p>All internal variables are reset, the old input stream <b>cannot</b> be reused (internal
   * buffer is discarded and lost). Lexical state is set to {@code ZZ_INITIAL}.
   *
   * <p>Internal scan buffer is resized down to its initial length, if it has grown.
   *
   * @param reader The new input stream.
   */
  public final void yyreset(java.io.Reader reader) {
    zzReader = reader;
    zzEOFDone = false;
    yyResetPosition();
    zzLexicalState = YYINITIAL;
    int initBufferSize = Math.min(ZZ_BUFFERSIZE, zzMaxBufferLen());
    if (zzBuffer.length > initBufferSize) {
      zzBuffer = new char[initBufferSize];
    }
  }

  /**
   * Resets the input position.
   */
  private final void yyResetPosition() {
      zzAtBOL  = true;
      zzAtEOF  = false;
      zzCurrentPos = 0;
      zzMarkedPos = 0;
      zzStartRead = 0;
      zzEndRead = 0;
      zzFinalHighSurrogate = 0;
      yyline = 0;
      yycolumn = 0;
      yychar = 0L;
  }


  /**
   * Returns whether the scanner has reached the end of the reader it reads from.
   *
   * @return whether the scanner has reached EOF.
   */
  public final boolean yyatEOF() {
    return zzAtEOF;
  }


  /**
   * Returns the current lexical state.
   *
   * @return the current lexical state.
   */
  public final int yystate() {
    return zzLexicalState;
  }


  /**
   * Enters a new lexical state.
   *
   * @param newState the new lexical state
   */
  public final void yybegin(int newState) {
    zzLexicalState = newState;
  }


  /**
   * Returns the text matched by the current regular expression.
   *
   * @return the matched text.
   */
  public final String yytext() {
    return new String(zzBuffer, zzStartRead, zzMarkedPos-zzStartRead);
  }


  /**
   * Returns the character at the given position from the matched text.
   *
   * <p>It is equivalent to {@code yytext().charAt(pos)}, but faster.
   *
   * @param position the position of the character to fetch. A value from 0 to {@code yylength()-1}.
   *
   * @return the character at {@code position}.
   */
  public final char yycharat(int position) {
    return zzBuffer[zzStartRead + position];
  }


  /**
   * How many characters were matched.
   *
   * @return the length of the matched text region.
   */
  public final int yylength() {
    return zzMarkedPos-zzStartRead;
  }


  /**
   * Reports an error that occurred while scanning.
   *
   * <p>In a well-formed scanner (no or only correct usage of {@code yypushback(int)} and a
   * match-all fallback rule) this method will only be called with things that
   * "Can't Possibly Happen".
   *
   * <p>If this method is called, something is seriously wrong (e.g. a JFlex bug producing a faulty
   * scanner etc.).
   *
   * <p>Usual syntax/scanner level error handling should be done in error fallback rules.
   *
   * @param errorCode the code of the error message to display.
   */
  private static void zzScanError(int errorCode) {
    String message;
    try {
      message = ZZ_ERROR_MSG[errorCode];
    } catch (ArrayIndexOutOfBoundsException e) {
      message = ZZ_ERROR_MSG[ZZ_UNKNOWN_ERROR];
    }

    throw new Error(message);
  }


  /**
   * Pushes the specified amount of characters back into the input stream.
   *
   * <p>They will be read again by then next call of the scanning method.
   *
   * @param number the number of characters to be read again. This number must not be greater than
   *     {@link #yylength()}.
   */
  public void yypushback(int number)  {
    if ( number > yylength() )
      zzScanError(ZZ_PUSHBACK_2BIG);

    zzMarkedPos -= number;
  }




  /**
   * Resumes scanning until the next regular expression is matched, the end of input is encountered
   * or an I/O-Error occurs.
   *
   * @return the next token.
   * @exception java.io.IOException if any I/O-Error occurs.
   */
  public int yylex() throws java.io.IOException
  {
    int zzInput;
    int zzAction;

    // cached fields:
    int zzCurrentPosL;
    int zzMarkedPosL;
    int zzEndReadL = zzEndRead;
    char[] zzBufferL = zzBuffer;

    int [] zzTransL = ZZ_TRANS;
    int [] zzRowMapL = ZZ_ROWMAP;
    int [] zzAttrL = ZZ_ATTRIBUTE;

    while (true) {
      zzMarkedPosL = zzMarkedPos;

      yychar+= zzMarkedPosL-zzStartRead;

      boolean zzR = false;
      int zzCh;
      int zzCharCount;
      for (zzCurrentPosL = zzStartRead  ;
           zzCurrentPosL < zzMarkedPosL ;
           zzCurrentPosL += zzCharCount ) {
        zzCh = Character.codePointAt(zzBufferL, zzCurrentPosL, zzMarkedPosL);
        zzCharCount = Character.charCount(zzCh);
        switch (zzCh) {
        case '\u000B':  // fall through
        case '\u000C':  // fall through
        case '\u0085':  // fall through
        case '\u2028':  // fall through
        case '\u2029':
          yyline++;
          yycolumn = 0;
          zzR = false;
          break;
        case '\r':
          yyline++;
          yycolumn = 0;
          zzR = true;
          break;
        case '\n':
          if (zzR)
            zzR = false;
          else {
            yyline++;
            yycolumn = 0;
          }
          break;
        default:
          zzR = false;
          yycolumn += zzCharCount;
        }
      }

      if (zzR) {
        // peek one character ahead if it is
        // (if we have counted one line too much)
        boolean zzPeek;
        if (zzMarkedPosL < zzEndReadL)
          zzPeek = zzBufferL[zzMarkedPosL] == '\n';
        else if (zzAtEOF)
          zzPeek = false;
        else {
          boolean eof = zzRefill();
          zzEndReadL = zzEndRead;
          zzMarkedPosL = zzMarkedPos;
          zzBufferL = zzBuffer;
          if (eof)
            zzPeek = false;
          else
            zzPeek = zzBufferL[zzMarkedPosL] == '\n';
        }
        if (zzPeek) yyline--;
      }
      zzAction = -1;

      zzCurrentPosL = zzCurrentPos = zzStartRead = zzMarkedPosL;

      zzState = ZZ_LEXSTATE[zzLexicalState];

      // set up zzAction for empty match case:
      int zzAttributes = zzAttrL[zzState];
      if ( (zzAttributes & 1) == 1 ) {
        zzAction = zzState;
      }


      zzForAction: {
        while (true) {

          if (zzCurrentPosL < zzEndReadL) {
            zzInput = Character.codePointAt(zzBufferL, zzCurrentPosL, zzEndReadL);
            zzCurrentPosL += Character.charCount(zzInput);
          }
          else if (zzAtEOF) {
            zzInput = YYEOF;
            break zzForAction;
          }
          else {
            // store back cached positions
            zzCurrentPos  = zzCurrentPosL;
            zzMarkedPos   = zzMarkedPosL;
            boolean eof = zzRefill();
            // get translated positions and possibly new buffer
            zzCurrentPosL  = zzCurrentPos;
            zzMarkedPosL   = zzMarkedPos;
            zzBufferL      = zzBuffer;
            zzEndReadL     = zzEndRead;
            if (eof) {
              zzInput = YYEOF;
              break zzForAction;
            }
            else {
              zzInput = Character.codePointAt(zzBufferL, zzCurrentPosL, zzEndReadL);
              zzCurrentPosL += Character.charCount(zzInput);
            }
          }
          int zzNext = zzTransL[ zzRowMapL[zzState] + zzCMap(zzInput) ];
          if (zzNext == -1) break zzForAction;
          zzState = zzNext;

          zzAttributes = zzAttrL[zzState];
          if ( (zzAttributes & 1) == 1 ) {
            zzAction = zzState;
            zzMarkedPosL = zzCurrentPosL;
            if ( (zzAttributes & 8) == 8 ) break zzForAction;
          }

        }
      }

      // store back cached position
      zzMarkedPos = zzMarkedPosL;

      if (zzInput == YYEOF && zzStartRead == zzCurrentPos) {
        zzAtEOF = true;
        return YYEOF;
      }
      else {
        switch (zzAction < 0 ? zzAction : ZZ_ACTION[zzAction]) {
          case 1:
            { addText();
	position++;
            }
          // fall through
          case 16: break;
          case 2:
            { addText();
		position++;
            }
          // fall through
          case 17: break;
          case 3:
            { checkEnd();
            }
          // fall through
          case 18: break;
          case 4:
            { save(new AnnotationEntity(Entity.NUMBER), Util.readFirstNumber(Util.removeAllAnnotations(yytext())));
            }
          // fall through
          case 19: break;
          case 5:
            { save(new AnnotationEntity(Entity.SIMPLE_NUMBER), Util.readFirstNumber(Util.removeAllAnnotations(yytext())));
            }
          // fall through
          case 20: break;
          case 6:
            { save(new AnnotationEntity(Entity.SIMPLE_NUMBER), Util.getValueReader(yytext()).getNumber());
            }
          // fall through
          case 21: break;
          case 7:
            { /* System.out.println("PATTERN numberLatList: " + yytext()); */ start(null, multipleNumbersLat, true, true);
            }
          // fall through
          case 22: break;
          case 8:
            { addText();
	position += yylength();
            }
          // fall through
          case 23: break;
          case 9:
            { /* System.out.println("PATTERN numberList: " + yytext()); */ start(null, multipleNumbers, true, true);
            }
          // fall through
          case 24: break;
          case 10:
            { annotate(new AnnotationEntity(Entity.NUMBER), Util.readFirstNumber(yytext()), true, true);
            }
          // fall through
          case 25: break;
          case 11:
            { addText();
		position--; //account for the following {LKN_C} character
		yybegin(YYINITIAL);
            }
          // fall through
          case 26: break;
          case 12:
            { start(null, multipleNumbersWithPrefix, true, true);
            }
          // fall through
          case 27: break;
          case 13:
            { addText(); 
	yybegin(lkn);
            }
          // fall through
          case 28: break;
          case 14:
            { if( !checkEdge()) {
		
			AnnotationEntity retrievedEntity = retrieveEntity();
			
			addText();
			
			offset += yylength();
			position += retrievedEntity.getText().length();
		}
            }
          // fall through
          case 29: break;
          case 15:
            // general lookahead, find correct zzMarkedPos
            { int zzFState = 5;
              int zzFPos = zzStartRead;
              if (zzFin.length <= zzBufferL.length) {
                zzFin = new boolean[zzBufferL.length+1];
              }
              boolean zzFinL[] = zzFin;
              while (zzFState != -1 && zzFPos < zzMarkedPos) {
                zzFinL[zzFPos] = ((zzAttrL[zzFState] & 1) == 1);
                zzInput = Character.codePointAt(zzBufferL, zzFPos, zzMarkedPos);
                zzFPos += Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              }
              if (zzFState != -1) {
                zzFinL[zzFPos++] = ((zzAttrL[zzFState] & 1) == 1);
              }
              while (zzFPos <= zzMarkedPos) {
                zzFinL[zzFPos++] = false;
              }

              zzFState = 6;
              zzFPos = zzMarkedPos;
              while (!zzFinL[zzFPos] || (zzAttrL[zzFState] & 1) != 1) {
                zzInput = Character.codePointBefore(zzBufferL, zzFPos, zzStartRead);
                zzFPos -= Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              };
              zzMarkedPos = zzFPos;
            }
            { annotate(new AnnotationEntity(Entity.NUMBER), yytext().substring(1), true, false);
            }
          // fall through
          case 30: break;
          default:
            zzScanError(ZZ_NO_MATCH);
        }
      }
    }
  }

  /**
   * Runs the scanner on input files.
   *
   * This is a standalone scanner, it will print any unmatched
   * text to System.out unchanged.
   *
   * @param argv   the command line, contains the filenames to run
   *               the scanner on.
   */
  public static void main(String[] argv) {
    if (argv.length == 0) {
      System.out.println("Usage : java S074_Numbers [ --encoding <name> ] <inputfile(s)>");
    }
    else {
      int firstFilePos = 0;
      String encodingName = "UTF-8";
      if (argv[0].equals("--encoding")) {
        firstFilePos = 2;
        encodingName = argv[1];
        try {
          // Side-effect: is encodingName valid?
          java.nio.charset.Charset.forName(encodingName);
        } catch (Exception e) {
          System.out.println("Invalid encoding '" + encodingName + "'");
          return;
        }
      }
      for (int i = firstFilePos; i < argv.length; i++) {
        S074_Numbers scanner = null;
        java.io.FileInputStream stream = null;
        java.io.Reader reader = null;
        try {
          stream = new java.io.FileInputStream(argv[i]);
          reader = new java.io.InputStreamReader(stream, encodingName);
          scanner = new S074_Numbers(reader);
          while ( !scanner.zzAtEOF ) scanner.yylex();
        }
        catch (java.io.FileNotFoundException e) {
          System.out.println("File not found : \""+argv[i]+"\"");
        }
        catch (java.io.IOException e) {
          System.out.println("IO error scanning file \""+argv[i]+"\"");
          System.out.println(e);
        }
        catch (Exception e) {
          System.out.println("Unexpected exception:");
          e.printStackTrace();
        }
        finally {
          if (reader != null) {
            try {
              reader.close();
            }
            catch (java.io.IOException e) {
              System.out.println("IO error closing file \""+argv[i]+"\"");
              System.out.println(e);
            }
          }
          if (stream != null) {
            try {
              stream.close();
            }
            catch (java.io.IOException e) {
              System.out.println("IO error closing file \""+argv[i]+"\"");
              System.out.println(e);
            }
          }
        }
      }
    }
  }


}
